Bug 1248100 - Review Request: python-qpid - The Apache Qpid Python client library for AMQP.
Review Request: python-qpid - The Apache Qpid Python client library for AMQP.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Conway
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1251146
  Show dependency treegraph
 
Reported: 2015-07-29 11:15 EDT by Irina Boverman
Modified: 2016-04-07 11:33 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-07 11:33:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
aconway: fedora‑review+


Attachments (Terms of Use)
Package spec file (10.64 KB, text/plain)
2015-08-06 10:32 EDT, Irina Boverman
no flags Details
source rpm (170.17 KB, application/x-rpm)
2015-08-06 10:33 EDT, Irina Boverman
no flags Details
Package spec file (10.71 KB, text/plain)
2015-08-11 14:27 EDT, Irina Boverman
no flags Details
Package spec file (10.68 KB, text/plain)
2015-08-11 14:54 EDT, Irina Boverman
no flags Details
source rpm (170.27 KB, application/x-rpm)
2015-08-11 14:58 EDT, Irina Boverman
no flags Details
Results of the fedora-review tool (8.47 KB, text/plain)
2015-08-11 15:24 EDT, Irina Boverman
no flags Details
fedora-review files (20.00 KB, application/x-tar)
2015-08-11 18:17 EDT, Alan Conway
no flags Details
Package spec file (10.76 KB, text/plain)
2015-08-12 13:48 EDT, Irina Boverman
no flags Details
source rpm (174.31 KB, application/x-rpm)
2015-08-12 13:48 EDT, Irina Boverman
no flags Details
Results of the fedora-review tool (8.04 KB, text/plain)
2015-08-12 14:16 EDT, Irina Boverman
no flags Details
Package spec file (10.77 KB, text/plain)
2015-08-12 16:58 EDT, Irina Boverman
no flags Details
source rpm (174.33 KB, application/x-rpm)
2015-08-12 16:59 EDT, Irina Boverman
no flags Details
Results of the fedora-review tool (7.93 KB, text/plain)
2015-08-12 17:00 EDT, Irina Boverman
no flags Details
fedora-review files (1.08 MB, application/x-gzip)
2015-08-24 10:14 EDT, Alan Conway
no flags Details

  None (edit)
Description Irina Boverman 2015-07-29 11:15:38 EDT
This review is needed to ubretire a package.

Spec URL: 
          fedpkg co python-qpid
          git checkout f597e62

SRPM URL: https://kojipkgs.fedoraproject.org//packages/python-qpid/0.32/1.fc23/src/python-qpid-0.32-1.fc23.src.rpm

Description: The Apache Qpid Python client library for AMQP.
Fedora Account System Username: irina
Comment 1 Irina Boverman 2015-07-29 12:09:03 EDT
I am removing python bits from qpid-cpp and rebasing both packages to 0.34 upstream. These changes will be made in rawhide and F23.
Comment 2 Irina Boverman 2015-08-06 10:32:05 EDT
Created attachment 1059990 [details]
Package spec file
Comment 3 Irina Boverman 2015-08-06 10:33:33 EDT
Created attachment 1059992 [details]
source rpm
Comment 4 Irina Boverman 2015-08-06 10:34:07 EDT
Attached revised spec file and source RPM.
Comment 5 Irina Boverman 2015-08-10 15:54:30 EDT
$ ls -R python-qpid
--
python-qpid:
python-qpid-0.32-9.fc24.src.rpm  python-qpid.spec  qpid-python-0.32.tar.gz    sources

python-qpid/results_python-qpid/0.32/9.fc24:
build.log                           python-qpid-0.32-9.fc24.src.rpm            root.log
python-qpid-0.32-9.fc24.noarch.rpm  python-qpid-common-0.32-9.fc24.noarch.rpm  state.log
--

$ rpmlint python-qpid
python-qpid.noarch: W: no-manual-page-for-binary qpid-python-test
python-qpid-common.noarch: W: no-documentation
5 packages and 1 specfiles checked; 0 errors, 2 warnings.


https://fedoraproject.org/wiki/Packaging:ReviewGuidelines

MUST:

X: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review     

X: The package must be named according to the Package Naming Guidelines .
X: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
X: The package must meet the Packaging Guidelines .
X: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
n/a: The License field in the package spec file must match the actual license. [3]
X: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %license.[4]
X: The spec file must be written in American English. [5]
X: The spec file for the package MUST be legible. [6]
X: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
X: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
X: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
X: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
X: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
X: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
X: Packages must NOT bundle copies of system libraries.[11]
X: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]
X: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
X: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]
X: Permissions on files must be set properly. Executables should be set with executable permissions, for example. [15]
X: Each package must consistently use macros. [16]
X: The package must contain code, or permissible content. [17]
X: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
X: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
N/A: Static libraries must be in a -static package. [19]
N/A: Development files must be in a -devel package. [20]
N/A: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} [21]
X: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[19]
N/A Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]
X: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]
X: All filenames in rpm packages must be valid UTF-8. [24]

SHOULD:


X: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. [25]
N/A: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. [26]
X: The reviewer should test that the package builds in mock. [27]
X: The package should compile and build into binary rpms on all supported architectures. [28]
?: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
X: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. [29]
X: Usually, subpackages other than devel should require the base package using a fully versioned dependency. [21]
N/A: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb. [30]
X: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. [31]
N/A: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.[32]
Comment 6 Irina Boverman 2015-08-10 17:01:49 EDT
Testing mock build:

$ rpm -q -a | grep qpid
qpid-proton-c-0.9-5.fc23.x86_64
rubygem-qpid_messaging-0.32.0-3.fc23.x86_64
perl-qpid-proton-0.9-5.fc23.x86_64
qpid-proton-java-javadoc-0.9-2.fc23.noarch
qpid-cpp-client-devel-0.34-1.fc24.x86_64
python-qpid-qmf-0.32-1.fc24.x86_64
qpid-cpp-server-ha-0.34-1.fc24.x86_64
qpid-cpp-server-devel-0.34-1.fc24.x86_64
qpid-qmf-debuginfo-0.32-1.fc24.x86_64
libqpid-dispatch-0.4-3.fc23.x86_64
python-qpid-proton-0.9-5.fc23.x86_64
qpid-proton-c-devel-0.9-5.fc23.x86_64
rubygem-qpid_messaging-doc-0.32.0-3.fc23.noarch
qpid-dispatch-tools-0.4-3.fc23.x86_64
qpid-dispatch-router-0.4-3.fc23.x86_64
rubygem-qpid_proton-0.9.0-2.fc23.x86_64
qpid-proton-java-0.9-2.fc23.noarch
qpid-proton-c-devel-doc-0.9-5.fc23.noarch
python-qpid-proton-doc-0.9-5.fc23.noarch
qpid-cpp-server-0.34-1.fc24.x86_64
python-qpid-common-0.32-9.fc24.noarch
qpid-qmf-0.32-1.fc24.x86_64
qpid-tools-0.32-9.fc24.noarch
qpid-cpp-server-rdma-0.34-1.fc24.x86_64
qpid-qmf-devel-0.32-1.fc24.x86_64
python-qpid-messaging-0.34-1.fc24.x86_64
qpid-cpp-server-linearstore-0.34-1.fc24.x86_64
perl-qpid-messaging-0.34-1.fc24.x86_64
qpid-cpp-debuginfo-0.34-1.fc24.x86_64
libqpid-dispatch-devel-0.4-3.fc23.x86_64
rubygem-qpid_proton-doc-0.9.0-2.fc23.noarch
qpid-dispatch-router-docs-0.4-3.fc23.noarch
qpid-cpp-client-0.34-1.fc24.x86_64
python-qpid-0.32-9.fc24.noarch
qpid-cpp-client-rdma-0.34-1.fc24.x86_64
ruby-qpid-qmf-0.32-1.fc24.x86_64
qpid-cpp-server-xml-0.34-1.fc24.x86_64
qpid-cpp-client-devel-docs-0.34-1.fc24.noarch

$ git clone git://git.apache.org/qpid.git qpid-0.32

$ git checkout -t remotes/origin/0.32
Branch 0.32 set up to track remote branch 0.32 from origin.
Switched to a new branch '0.32'

$ cd qpid

[root@mrg19 qpid]# ./python/qpid-python-test
qpid.tests.codec.BitTestCase.test_bit1 ..................................................................... pass
qpid.tests.codec.BitTestCase.test_bit2 ..................................................................... pass
qpid.tests.codec.BitTestCase.test_bit3 ..................................................................... pass
qpid.tests.codec.BitTestCase.test_bit_decode_0 ............................................................. pass
qpid.tests.codec.BitTestCase.test_bit_decode_1 ............................................................. pass
qpid.tests.codec.BooleanTestCase.test_false_decode ......................................................... pass
qpid.tests.codec.BooleanTestCase.test_false_encode ......................................................... pass
qpid.tests.codec.BooleanTestCase.test_true_decode .......................................................... pass
qpid.tests.codec.BooleanTestCase.test_true_encode .......................................................... pass
qpid.tests.codec.ContentTestCase.test_content_inline ....................................................... pass
qpid.tests.codec.ContentTestCase.test_content_inline_decode ................................................ pass
qpid.tests.codec.ContentTestCase.test_content_reference .................................................... pass
qpid.tests.codec.ContentTestCase.test_content_reference_decode ............................................. pass
qpid.tests.codec.FieldTableTestCase.test_field_table_decode ................................................ pass
qpid.tests.codec.FieldTableTestCase.test_field_table_multiple_name_value_pair .............................. pass
qpid.tests.codec.FieldTableTestCase.test_field_table_name_value_pair ....................................... pass
qpid.tests.codec.IntegerTestCase.test_octet_out_of_upper_range ............................................. pass
qpid.tests.codec.IntegerTestCase.test_ulong_int ............................................................ pass
qpid.tests.codec.IntegerTestCase.test_ulong_int_decode ..................................................... pass
qpid.tests.codec.IntegerTestCase.test_ulong_int_out_of_lower_range ......................................... pass
qpid.tests.codec.IntegerTestCase.test_ulong_int_out_of_upper_range ......................................... pass
qpid.tests.codec.IntegerTestCase.test_ulong_int_with_fraction .............................................. pass
qpid.tests.codec.IntegerTestCase.test_ulong_long_int ....................................................... pass
qpid.tests.codec.IntegerTestCase.test_ulong_long_int_decode ................................................ pass
qpid.tests.codec.IntegerTestCase.test_ulong_long_int_out_of_lower_range .................................... pass
qpid.tests.codec.IntegerTestCase.test_ulong_long_int_out_of_upper_range .................................... pass
qpid.tests.codec.IntegerTestCase.test_ulong_long_int_with_fraction ......................................... pass
qpid.tests.codec.IntegerTestCase.test_unsigned_octet ....................................................... pass
qpid.tests.codec.IntegerTestCase.test_unsigned_octet_decode ................................................ pass
qpid.tests.codec.IntegerTestCase.test_uoctet_out_of_lower_range ............................................ pass
qpid.tests.codec.IntegerTestCase.test_uoctet_with_fraction ................................................. pass
qpid.tests.codec.IntegerTestCase.test_ushort_int ........................................................... pass
qpid.tests.codec.IntegerTestCase.test_ushort_int_decode .................................................... pass
qpid.tests.codec.IntegerTestCase.test_ushort_int_out_of_lower_range ........................................ pass
qpid.tests.codec.IntegerTestCase.test_ushort_int_out_of_upper_range ........................................ pass
qpid.tests.codec.IntegerTestCase.test_ushort_int_with_fraction ............................................. pass
qpid.tests.codec.ResolveTestCase.test_resolve_64bit_signed_max ............................................. pass
qpid.tests.codec.ResolveTestCase.test_resolve_64bit_signed_min ............................................. pass
qpid.tests.codec.ResolveTestCase.test_resolve_None ......................................................... pass
qpid.tests.codec.ResolveTestCase.test_resolve_above_64bit_signed_max ....................................... pass
qpid.tests.codec.ResolveTestCase.test_resolve_below_64bit_signed_min ....................................... pass
qpid.tests.codec.ResolveTestCase.test_resolve_float ........................................................ pass
qpid.tests.codec.ResolveTestCase.test_resolve_int_1 ........................................................ pass
qpid.tests.codec.ResolveTestCase.test_resolve_int_above_signed_32bit_max ................................... pass
qpid.tests.codec.ResolveTestCase.test_resolve_int_max ...................................................... pass
qpid.tests.codec.ResolveTestCase.test_resolve_int_min ...................................................... pass
qpid.tests.codec.ResolveTestCase.test_resolve_int_negative_1 ............................................... pass
qpid.tests.codec.ResolveTestCase.test_resolve_long_1 ....................................................... pass
qpid.tests.codec.ResolveTestCase.test_resolve_long_above_signed_32bit_max .................................. pass
qpid.tests.codec.ResolveTestCase.test_resolve_string ....................................................... pass
qpid.tests.codec.StringTestCase.test_long_string_decode .................................................... pass
qpid.tests.codec.StringTestCase.test_long_string_positive_length ........................................... pass
qpid.tests.codec.StringTestCase.test_long_string_zero_length ............................................... pass
qpid.tests.codec.StringTestCase.test_short_string_decode ................................................... pass
qpid.tests.codec.StringTestCase.test_short_string_out_of_upper_range ....................................... pass
qpid.tests.codec.StringTestCase.test_short_string_positive_length .......................................... pass
qpid.tests.codec.StringTestCase.test_short_string_zero_length .............................................. pass
qpid.tests.codec.oldTests.test_oldtestcases ................................................................ pass
qpid.tests.codec010.CodecTest.testArrayEmpty ............................................................... pass
qpid.tests.codec010.CodecTest.testArrayInt ................................................................. pass
qpid.tests.codec010.CodecTest.testArrayNone ................................................................ pass
qpid.tests.codec010.CodecTest.testArrayString .............................................................. pass
qpid.tests.codec010.CodecTest.testDatetime ................................................................. pass
qpid.tests.codec010.CodecTest.testInt16 .................................................................... pass
qpid.tests.codec010.CodecTest.testInt64 .................................................................... pass
qpid.tests.codec010.CodecTest.testList ..................................................................... pass
qpid.tests.codec010.CodecTest.testListEmpty ................................................................ pass
qpid.tests.codec010.CodecTest.testListNone ................................................................. pass
qpid.tests.codec010.CodecTest.testMapAll ................................................................... pass
qpid.tests.codec010.CodecTest.testMapBinary ................................................................ pass
qpid.tests.codec010.CodecTest.testMapBuffer ................................................................ pass
qpid.tests.codec010.CodecTest.testMapDatetime .............................................................. pass
qpid.tests.codec010.CodecTest.testMapEmpty ................................................................. pass
qpid.tests.codec010.CodecTest.testMapInt ................................................................... pass
qpid.tests.codec010.CodecTest.testMapList .................................................................. pass
qpid.tests.codec010.CodecTest.testMapLong .................................................................. pass
qpid.tests.codec010.CodecTest.testMapNested ................................................................ pass
qpid.tests.codec010.CodecTest.testMapNone .................................................................. pass
qpid.tests.codec010.CodecTest.testMapString ................................................................ pass
qpid.tests.codec010.CodecTest.testMapTimestamp ............................................................. pass
qpid.tests.codec010.CodecTest.testMapUUID .................................................................. pass
qpid.tests.codec010.CodecTest.testMapUnicode ............................................................... pass
qpid.tests.connection.ConnectionTest.test .................................................................. pass
qpid.tests.connection.ConnectionTest.testCloseGet .......................................................... pass
qpid.tests.connection.ConnectionTest.testCloseListen ....................................................... pass
qpid.tests.connection.ConnectionTest.testHeartbeat ......................................................... pass
qpid.tests.connection.ConnectionTest.testSync .............................................................. pass
qpid.tests.datatypes.MessageTest.testClear ................................................................. pass
qpid.tests.datatypes.MessageTest.testGet ................................................................... pass
qpid.tests.datatypes.MessageTest.testHas ................................................................... pass
qpid.tests.datatypes.MessageTest.testSet ................................................................... pass
qpid.tests.datatypes.MessageTest.testSetOnEmpty ............................................................ pass
qpid.tests.datatypes.MessageTest.testSetReplace ............................................................ pass
qpid.tests.datatypes.RangeTest.testIntersect1 .............................................................. pass
qpid.tests.datatypes.RangeTest.testIntersect2 .............................................................. pass
qpid.tests.datatypes.RangeTest.testIntersect3 .............................................................. pass
qpid.tests.datatypes.RangedSetTest.test .................................................................... pass
qpid.tests.datatypes.RangedSetTest.testAddSelf ............................................................. pass
qpid.tests.datatypes.RangedSetTest.testEmpty ............................................................... pass
qpid.tests.datatypes.RangedSetTest.testMinMax .............................................................. pass
qpid.tests.datatypes.SerialTest.test ....................................................................... pass
qpid.tests.datatypes.SerialTest.testAdd .................................................................... pass
qpid.tests.datatypes.SerialTest.testHash ................................................................... pass
qpid.tests.datatypes.SerialTest.testIn ..................................................................... pass
qpid.tests.datatypes.SerialTest.testIncr ................................................................... pass
qpid.tests.datatypes.SerialTest.testNone ................................................................... pass
qpid.tests.datatypes.SerialTest.testSub .................................................................... pass
qpid.tests.datatypes.TimestampTest.testAbs ................................................................. pass
qpid.tests.datatypes.TimestampTest.testAdd ................................................................. pass
qpid.tests.datatypes.TimestampTest.testConversion .......................................................... pass
qpid.tests.datatypes.TimestampTest.testNeg ................................................................. pass
qpid.tests.datatypes.TimestampTest.testPos ................................................................. pass
qpid.tests.datatypes.TimestampTest.testSub ................................................................. pass
qpid.tests.datatypes.UUIDTest.test ......................................................................... pass
qpid.tests.framing.FrameTest.testEmpty ..................................................................... pass
qpid.tests.framing.FrameTest.testMaxChannel ................................................................ pass
qpid.tests.framing.FrameTest.testMaxTrack .................................................................. pass
qpid.tests.framing.FrameTest.testMaxType ................................................................... pass
qpid.tests.framing.FrameTest.testSequence .................................................................. pass
qpid.tests.framing.FrameTest.testSingle .................................................................... pass
qpid.tests.framing.OpTest.testChannel ...................................................................... pass
qpid.tests.framing.OpTest.testCompound ..................................................................... pass
qpid.tests.framing.OpTest.testContentTypeHeadersPayloadMT .................................................. pass
qpid.tests.framing.OpTest.testControl ...................................................................... pass
qpid.tests.framing.OpTest.testEmptyMTSync .................................................................. pass
qpid.tests.framing.OpTest.testEmptyPayloadMT ............................................................... pass
qpid.tests.framing.OpTest.testEmtpyMT ...................................................................... pass
qpid.tests.framing.OpTest.testHeadersEmptyPayloadMT ........................................................ pass
qpid.tests.framing.OpTest.testHeadersPayloadMT ............................................................. pass
qpid.tests.framing.OpTest.testListCompound ................................................................. pass
qpid.tests.framing.OpTest.testMT ........................................................................... pass
qpid.tests.framing.OpTest.testMixed ........................................................................ pass
qpid.tests.framing.OpTest.testMulti ........................................................................ pass
qpid.tests.framing.OpTest.testMultiHeadersEmptyPayloadMT ................................................... pass
qpid.tests.framing.OpTest.testMultiHeadersPayloadMT ........................................................ pass
qpid.tests.framing.OpTest.testPayloadMT .................................................................... pass
qpid.tests.framing.OpTest.testSyncMT ....................................................................... pass
qpid.tests.framing.SegmentTest.testEmpty ................................................................... pass
qpid.tests.framing.SegmentTest.testInterleaveChannel ....................................................... pass
qpid.tests.framing.SegmentTest.testInterleaveTrack ......................................................... pass
qpid.tests.framing.SegmentTest.testMaxChannel .............................................................. pass
qpid.tests.framing.SegmentTest.testMaxTrack ................................................................ pass
qpid.tests.framing.SegmentTest.testMaxType ................................................................. pass
qpid.tests.framing.SegmentTest.testSequence ................................................................ pass
qpid.tests.framing.SegmentTest.testSingle .................................................................. pass
qpid.tests.mimetype.MimeTypeTests.testCaseInsensitivity .................................................... pass
qpid.tests.mimetype.MimeTypeTests.testMultipleParams ....................................................... pass
qpid.tests.mimetype.MimeTypeTests.testTypeOnly ............................................................. pass
qpid.tests.mimetype.MimeTypeTests.testTypeSubtype .......................................................... pass
qpid.tests.mimetype.MimeTypeTests.testTypeSubtypeParam ..................................................... pass
qpid.tests.mimetype.MimeTypeTests.testTypeSubtypeParamComment .............................................. pass
qpid.tests.queue.QueueTest.test_close ...................................................................... pass
qpid.tests.queue.QueueTest.test_listen ..................................................................... pass
qpid.tests.spec010.SpecTest.testMessageProperties .......................................................... pass
qpid.tests.spec010.SpecTest.testMessageSubscribe ........................................................... pass
qpid.tests.spec010.SpecTest.testSessionHeader .............................................................. pass
qpid.tests.spec010.SpecTest.testXid ........................................................................ pass
qpid.tests.util.UtilTest.test_get_client_properties_with_no_provided_values ................................ pass
qpid.tests.util.UtilTest.test_get_client_properties_with_provided_value .................................... pass
qpid.tests.util.UtilTest.test_get_client_properties_with_provided_value_that_overrides_default ............. pass
qpid.tests.util.UtilTest.test_get_spec_recommended_client_properties ....................................... pass
qpid.tests.messaging.address.AddressTests.testBadList1 ..................................................... pass
qpid.tests.messaging.address.AddressTests.testBadList2 ..................................................... pass
qpid.tests.messaging.address.AddressTests.testBadList3 ..................................................... pass
qpid.tests.messaging.address.AddressTests.testBadList4 ..................................................... pass
qpid.tests.messaging.address.AddressTests.testBadOptions1 .................................................. pass
qpid.tests.messaging.address.AddressTests.testBadOptions2 .................................................. pass
qpid.tests.messaging.address.AddressTests.testBadOptions3 .................................................. pass
qpid.tests.messaging.address.AddressTests.testBadOptions4 .................................................. pass
qpid.tests.messaging.address.AddressTests.testBadOptions5 .................................................. pass
qpid.tests.messaging.address.AddressTests.testBadOptions6 .................................................. pass
qpid.tests.messaging.address.AddressTests.testBadOptions7 .................................................. pass
qpid.tests.messaging.address.AddressTests.testBoolean ...................................................... pass
qpid.tests.messaging.address.AddressTests.testColon ........................................................ pass
qpid.tests.messaging.address.AddressTests.testCommaSubject ................................................. pass
qpid.tests.messaging.address.AddressTests.testCommaSubjectOptions .......................................... pass
qpid.tests.messaging.address.AddressTests.testDashAlone1 ................................................... pass
qpid.tests.messaging.address.AddressTests.testDashAlone2 ................................................... pass
qpid.tests.messaging.address.AddressTests.testDashInId1 .................................................... pass
qpid.tests.messaging.address.AddressTests.testDashInId2 .................................................... pass
qpid.tests.messaging.address.AddressTests.testEmpty ........................................................ pass
qpid.tests.messaging.address.AddressTests.testHash ......................................................... pass
qpid.tests.messaging.address.AddressTests.testIdNum ........................................................ pass
qpid.tests.messaging.address.AddressTests.testIdSpaceNum ................................................... pass
qpid.tests.messaging.address.AddressTests.testLeadingDash .................................................. pass
qpid.tests.messaging.address.AddressTests.testList1 ........................................................ pass
qpid.tests.messaging.address.AddressTests.testList2 ........................................................ pass
qpid.tests.messaging.address.AddressTests.testList3 ........................................................ pass
qpid.tests.messaging.address.AddressTests.testList4 ........................................................ pass
qpid.tests.messaging.address.AddressTests.testMap1 ......................................................... pass
qpid.tests.messaging.address.AddressTests.testMap2 ......................................................... pass
qpid.tests.messaging.address.AddressTests.testMap3 ......................................................... pass
qpid.tests.messaging.address.AddressTests.testNegativeNum .................................................. pass
qpid.tests.messaging.address.AddressTests.testNoName ....................................................... pass
qpid.tests.messaging.address.AddressTests.testNoNameSlash .................................................. pass
qpid.tests.messaging.address.AddressTests.testOptions ...................................................... pass
qpid.tests.messaging.address.AddressTests.testOptionsNone .................................................. pass
qpid.tests.messaging.address.AddressTests.testOptionsTrailingComma ......................................... pass
qpid.tests.messaging.address.AddressTests.testSemiSubject .................................................. pass
qpid.tests.messaging.address.AddressTests.testSlashHexEsc1 ................................................. pass
qpid.tests.messaging.address.AddressTests.testSlashHexEsc2 ................................................. pass
qpid.tests.messaging.address.AddressTests.testSlashHexEsc3 ................................................. pass
qpid.tests.messaging.address.AddressTests.testSlashQuote ................................................... pass
qpid.tests.messaging.address.AddressTests.testSlashUnicode1 ................................................ pass
qpid.tests.messaging.address.AddressTests.testSlashUnicode2 ................................................ pass
qpid.tests.messaging.address.AddressTests.testSlashUnicode3 ................................................ pass
qpid.tests.messaging.address.AddressTests.testSlashUnicode4 ................................................ pass
qpid.tests.messaging.address.AddressTests.testStar ......................................................... pass
qpid.tests.messaging.address.AddressTests.testTrailingDash ................................................. pass
qpid.tests.messaging.address.AddressTests.testUnbalanced ................................................... pass
qpid.tests.messaging.endpoints.AddressErrorTests.testInvalidMode ........................................... pass
qpid.tests.messaging.endpoints.AddressErrorTests.testNoSource .............................................. pass
qpid.tests.messaging.endpoints.AddressErrorTests.testNoTarget .............................................. pass
qpid.tests.messaging.endpoints.AddressErrorTests.testNoneSource ............................................ pass
qpid.tests.messaging.endpoints.AddressErrorTests.testNoneTarget ............................................ pass
qpid.tests.messaging.endpoints.AddressErrorTests.testUnlexableSource ....................................... pass
qpid.tests.messaging.endpoints.AddressErrorTests.testUnlexableTarget ....................................... pass
qpid.tests.messaging.endpoints.AddressErrorTests.testUnparseableSource ..................................... pass
qpid.tests.messaging.endpoints.AddressErrorTests.testUnparseableTarget ..................................... pass
qpid.tests.messaging.endpoints.AddressTests.testAssert1 .................................................... pass
qpid.tests.messaging.endpoints.AddressTests.testAssert2 .................................................... pass
qpid.tests.messaging.endpoints.AddressTests.testCreateExchange ............................................. pass
qpid.tests.messaging.endpoints.AddressTests.testCreateExchangeDirect ....................................... pass
qpid.tests.messaging.endpoints.AddressTests.testCreateExchangeTopic ........................................ pass
qpid.tests.messaging.endpoints.AddressTests.testCreateQueue ................................................ pass
qpid.tests.messaging.endpoints.AddressTests.testDeleteByReceiver ........................................... pass
qpid.tests.messaging.endpoints.AddressTests.testDeleteBySender ............................................. pass
qpid.tests.messaging.endpoints.AddressTests.testDeleteSpecial .............................................. pass
qpid.tests.messaging.endpoints.AddressTests.testIllegalKey ................................................. pass
qpid.tests.messaging.endpoints.AddressTests.testLinkBindings ............................................... pass
qpid.tests.messaging.endpoints.AddressTests.testLinkName ................................................... pass
qpid.tests.messaging.endpoints.AddressTests.testNodeBindingsQueue .......................................... pass
qpid.tests.messaging.endpoints.AddressTests.testNodeBindingsTopic .......................................... pass
qpid.tests.messaging.endpoints.AddressTests.testReliabilityAtLeastOnce ..................................... pass
qpid.tests.messaging.endpoints.AddressTests.testReliabilityUnreliable ...................................... pass
qpid.tests.messaging.endpoints.AddressTests.testSubjectDefault ............................................. pass
qpid.tests.messaging.endpoints.AddressTests.testSubjectOverride ............................................ pass
qpid.tests.messaging.endpoints.AddressTests.testWrongType1 ................................................. pass
qpid.tests.messaging.endpoints.AddressTests.testWrongType2 ................................................. pass
qpid.tests.messaging.endpoints.AddressTests.testWrongValue ................................................. pass
qpid.tests.messaging.endpoints.ConnectionTests.testCheckClosed ............................................. pass
qpid.tests.messaging.endpoints.ConnectionTests.testClose ................................................... pass
qpid.tests.messaging.endpoints.ConnectionTests.testDetach .................................................. pass
qpid.tests.messaging.endpoints.ConnectionTests.testSessionAnon ............................................. pass
qpid.tests.messaging.endpoints.ConnectionTests.testSessionNamed ............................................ pass
qpid.tests.messaging.endpoints.ConnectionTests.testSimultaneousClose ....................................... pass
qpid.tests.messaging.endpoints.ReceiverTests.testAtMostOnce ................................................ pass
qpid.tests.messaging.endpoints.ReceiverTests.testAvailable ................................................. pass
qpid.tests.messaging.endpoints.ReceiverTests.testCapacity10 ................................................ pass
qpid.tests.messaging.endpoints.ReceiverTests.testCapacity100 ............................................... pass
qpid.tests.messaging.endpoints.ReceiverTests.testCapacity100Threshold1 ..................................... pass
qpid.tests.messaging.endpoints.ReceiverTests.testCapacity10Threshold1 ...................................... pass
qpid.tests.messaging.endpoints.ReceiverTests.testCapacity5 ................................................. pass
qpid.tests.messaging.endpoints.ReceiverTests.testCapacity5Threshold1 ....................................... pass
qpid.tests.messaging.endpoints.ReceiverTests.testCapacityDecrease .......................................... pass
qpid.tests.messaging.endpoints.ReceiverTests.testCapacityIncrease .......................................... pass
qpid.tests.messaging.endpoints.ReceiverTests.testCapacityUNLIMITED ......................................... pass
qpid.tests.messaging.endpoints.ReceiverTests.testDoubleClose ............................................... pass
qpid.tests.messaging.endpoints.ReceiverTests.testFetch ..................................................... pass
qpid.tests.messaging.endpoints.ReceiverTests.testFetchFromClosedConnection ................................. pass
qpid.tests.messaging.endpoints.ReceiverTests.testFetchFromClosedReceiver ................................... pass
qpid.tests.messaging.endpoints.ReceiverTests.testFetchFromClosedSession .................................... pass
qpid.tests.messaging.endpoints.ReceiverTests.testFetchFromConcurrentCloseConnection ........................ pass
qpid.tests.messaging.endpoints.ReceiverTests.testFetchFromConcurrentCloseReceiver .......................... pass
qpid.tests.messaging.endpoints.ReceiverTests.testFetchFromConcurrentCloseSession ........................... pass
qpid.tests.messaging.endpoints.ReceiverTests.testMode ...................................................... pass
qpid.tests.messaging.endpoints.ReceiverTests.testUnreliable ................................................ pass
qpid.tests.messaging.endpoints.ReceiverTests.testUnsettled ................................................. pass
qpid.tests.messaging.endpoints.SenderTests.testCapacityTimeout ............................................. pass
qpid.tests.messaging.endpoints.SenderTests.testEINTR ....................................................... pass
qpid.tests.messaging.endpoints.SenderTests.testSendAsyncCapacity0 .......................................... pass
qpid.tests.messaging.endpoints.SenderTests.testSendAsyncCapacity1 .......................................... pass
qpid.tests.messaging.endpoints.SenderTests.testSendAsyncCapacity5 .......................................... pass
qpid.tests.messaging.endpoints.SenderTests.testSendAsyncCapacityUNLIMITED .................................. pass
qpid.tests.messaging.endpoints.SenderTests.testSendList .................................................... pass
qpid.tests.messaging.endpoints.SenderTests.testSendMap ..................................................... pass
qpid.tests.messaging.endpoints.SenderTests.testSendString .................................................. pass
qpid.tests.messaging.endpoints.SessionTests.testAcknowledge ................................................ pass
qpid.tests.messaging.endpoints.SessionTests.testAcknowledgeAsync ........................................... pass
qpid.tests.messaging.endpoints.SessionTests.testAcknowledgeAsyncAckCap0 .................................... pass
qpid.tests.messaging.endpoints.SessionTests.testAcknowledgeAsyncAckCap1 .................................... pass
qpid.tests.messaging.endpoints.SessionTests.testAcknowledgeAsyncAckCap5 .................................... pass
qpid.tests.messaging.endpoints.SessionTests.testAcknowledgeAsyncAckCapUNLIMITED ............................ pass
qpid.tests.messaging.endpoints.SessionTests.testClose ...................................................... pass
qpid.tests.messaging.endpoints.SessionTests.testCommit ..................................................... pass
qpid.tests.messaging.endpoints.SessionTests.testCommitAck .................................................. pass
qpid.tests.messaging.endpoints.SessionTests.testCommitSend ................................................. pass
qpid.tests.messaging.endpoints.SessionTests.testDetachedReceiver ........................................... pass
qpid.tests.messaging.endpoints.SessionTests.testDoubleCommit ............................................... pass
qpid.tests.messaging.endpoints.SessionTests.testNextReceiver ............................................... pass
qpid.tests.messaging.endpoints.SessionTests.testReceiver ................................................... pass
qpid.tests.messaging.endpoints.SessionTests.testReject ..................................................... pass
qpid.tests.messaging.endpoints.SessionTests.testRelease .................................................... pass
qpid.tests.messaging.endpoints.SessionTests.testRollback ................................................... pass
qpid.tests.messaging.endpoints.SessionTests.testRollbackAck ................................................ pass
qpid.tests.messaging.endpoints.SessionTests.testRollbackSend ............................................... pass
qpid.tests.messaging.endpoints.SessionTests.testRxCallback ................................................. pass
qpid.tests.messaging.endpoints.SessionTests.testSender ..................................................... pass
qpid.tests.messaging.endpoints.SetupTests.testConnectError ................................................. pass
qpid.tests.messaging.endpoints.SetupTests.testEstablish .................................................... pass
qpid.tests.messaging.endpoints.SetupTests.testGetError ..................................................... pass
qpid.tests.messaging.endpoints.SetupTests.testOpen ......................................................... pass
qpid.tests.messaging.endpoints.SetupTests.testOpenCloseResourceLeaks ....................................... pass
qpid.tests.messaging.endpoints.SetupTests.testOpenFailResourceLeaks ........................................ pass
qpid.tests.messaging.endpoints.SetupTests.testOpenReconnectURLs ............................................ pass
qpid.tests.messaging.endpoints.SetupTests.testReconnect .................................................... pass
qpid.tests.messaging.endpoints.SetupTests.testTcpNodelay ................................................... pass
qpid.tests.messaging.endpoints.TimeoutTests.testConnectionClose ............................................ pass
qpid.tests.messaging.endpoints.TimeoutTests.testConnectionDetach ........................................... pass
qpid.tests.messaging.endpoints.TimeoutTests.testConnectionOpen ............................................. start
  2015-08-10 16:51:38,392 WARNING recoverable error[attempt 1]: [Errno -2] Name or service not known
  2015-08-10 16:51:38,393 WARNING sleeping 1 seconds
  2015-08-10 16:51:39,393 WARNING trying: badhostname:5672
  2015-08-10 16:51:39,416 WARNING recoverable error[attempt 2]: [Errno -2] Name or service not known
  2015-08-10 16:51:39,417 WARNING sleeping 2 seconds
qpid.tests.messaging.endpoints.TimeoutTests.testConnectionOpen ............................................. pass
qpid.tests.messaging.endpoints.TimeoutTests.testReceiverClose .............................................. start
  2015-08-10 16:51:41,417 WARNING trying: badhostname:5672
qpid.tests.messaging.endpoints.TimeoutTests.testReceiverClose .............................................. pass
qpid.tests.messaging.endpoints.TimeoutTests.testSenderClose ................................................ pass
qpid.tests.messaging.endpoints.TimeoutTests.testSenderSync ................................................. pass
qpid.tests.messaging.endpoints.TimeoutTests.testSessionClose ............................................... pass
qpid.tests.messaging.endpoints.TimeoutTests.testSessionSync ................................................ pass
qpid.tests.messaging.message.MessageEchoTests.testApplicationProperties .................................... pass
qpid.tests.messaging.message.MessageEchoTests.testBooleanEncoding .......................................... pass
qpid.tests.messaging.message.MessageEchoTests.testContentTypeUnknown ....................................... pass
qpid.tests.messaging.message.MessageEchoTests.testExceptionRaisedMismatchedContentType ..................... pass
qpid.tests.messaging.message.MessageEchoTests.testListContent .............................................. pass
qpid.tests.messaging.message.MessageEchoTests.testMapContent ............................................... pass
qpid.tests.messaging.message.MessageEchoTests.testProperties ............................................... pass
qpid.tests.messaging.message.MessageEchoTests.testRecoverAfterException .................................... pass
qpid.tests.messaging.message.MessageEchoTests.testReplyTo .................................................. pass
qpid.tests.messaging.message.MessageEchoTests.testReplyToQueue ............................................. pass
qpid.tests.messaging.message.MessageEchoTests.testReplyToQueueSubject ...................................... pass
qpid.tests.messaging.message.MessageEchoTests.testReplyToTopic ............................................. pass
qpid.tests.messaging.message.MessageEchoTests.testReplyToTopicSubject ...................................... pass
qpid.tests.messaging.message.MessageEchoTests.testStringContent ............................................ pass
qpid.tests.messaging.message.MessageEchoTests.testTextPlain ................................................ pass
qpid.tests.messaging.message.MessageEchoTests.testTextPlainEmpty ........................................... pass
qpid.tests.messaging.message.MessageEchoTests.testUnicodeContent ........................................... pass
qpid.tests.messaging.message.MessageTests.testContentTypeOverride .......................................... pass
qpid.tests.messaging.message.MessageTests.testCreateList ................................................... pass
qpid.tests.messaging.message.MessageTests.testCreateMap .................................................... pass
qpid.tests.messaging.message.MessageTests.testCreateString ................................................. pass
qpid.tests.messaging.message.MessageTests.testCreateUnicode ................................................ pass
qpid.tests.saslmech.finder.SaslFinderTests.test_known_mechansim ............................................ pass
qpid.tests.saslmech.finder.SaslFinderTests.test_sasl_mechanism_fallback_without_credentials ................ pass
qpid.tests.saslmech.finder.SaslFinderTests.test_sasl_mechanism_with_higher_priority_prefered ............... pass
qpid.tests.saslmech.finder.SaslFinderTests.test_sasl_mechansim_options ..................................... pass
qpid.tests.saslmech.finder.SaslFinderTests.test_unknown_mechansim .......................................... pass
Totals: 342 tests, 342 passed, 0 skipped, 0 ignored, 0 failed

$ cd python/examples/api

$ ./hello
Hello world!
Comment 7 Irina Boverman 2015-08-11 10:41:36 EDT
Testing using python-qpid-messaging installed bits:

$ rpm -ql python-qpid-messaging
/usr/lib64/python2.7/site-packages/_qpid_messaging.so
/usr/lib64/python2.7/site-packages/qpid_messaging.py
/usr/lib64/python2.7/site-packages/qpid_messaging.pyc
/usr/lib64/python2.7/site-packages/qpid_messaging.pyo
/usr/share/doc/python-qpid-messaging
/usr/share/doc/python-qpid-messaging-0.34/examples
/usr/share/doc/python-qpid-messaging-0.34/examples/console
/usr/share/doc/python-qpid-messaging-0.34/examples/drain
/usr/share/doc/python-qpid-messaging-0.34/examples/hello
/usr/share/doc/python-qpid-messaging-0.34/examples/hello_xml
/usr/share/doc/python-qpid-messaging-0.34/examples/server
/usr/share/doc/python-qpid-messaging-0.34/examples/spout
/usr/share/doc/python-qpid-messaging-0.34/examples/statistics.py
/usr/share/doc/python-qpid-messaging-0.34/examples/statistics.pyc
/usr/share/doc/python-qpid-messaging-0.34/examples/statistics.pyo
/usr/share/doc/python-qpid-messaging/LICENSE

$ cd /usr/share/doc/python-qpid-messaging-0.34/examples

$ python hello
Hello world!

$ python spout -c 5 'my-queue;{create:always}'

Message(properties={'spout-id': '8d29304a-ead5-4482-b0cf-c764fab4f00f:0'}, content_type='text/plain', content='')
Message(properties={'spout-id': '8d29304a-ead5-4482-b0cf-c764fab4f00f:1'}, content_type='text/plain', content='')
Message(properties={'spout-id': '8d29304a-ead5-4482-b0cf-c764fab4f00f:2'}, content_type='text/plain', content='')
Message(properties={'spout-id': '8d29304a-ead5-4482-b0cf-c764fab4f00f:3'}, content_type='text/plain', content='')
Message(properties={'spout-id': '8d29304a-ead5-4482-b0cf-c764fab4f00f:4'}, content_type='text/plain', content='')

$ python drain 'my-queue'

Message(properties={'x-amqp-0-10.routing-key': 'my-queue', 'spout-id': '8d29304a-ead5-4482-b0cf-c764fab4f00f:0'}, content_type='text/plain', content='')
Message(properties={'x-amqp-0-10.routing-key': 'my-queue', 'spout-id': '8d29304a-ead5-4482-b0cf-c764fab4f00f:1'}, content_type='text/plain', content='')
Message(properties={'x-amqp-0-10.routing-key': 'my-queue', 'spout-id': '8d29304a-ead5-4482-b0cf-c764fab4f00f:2'}, content_type='text/plain', content='')
Message(properties={'x-amqp-0-10.routing-key': 'my-queue', 'spout-id': '8d29304a-ead5-4482-b0cf-c764fab4f00f:3'}, content_type='text/plain', content='')
Message(properties={'x-amqp-0-10.routing-key': 'my-queue', 'spout-id': '8d29304a-ead5-4482-b0cf-c764fab4f00f:4'}, content_type='text/plain', content='')
Comment 8 Irina Boverman 2015-08-11 14:25:35 EDT
Updated spec file to include tests directory.

# rpm -ql python-qpid

/usr/bin/qpid-python-test
/usr/lib/python2.7/site-packages/qpid
/usr/lib/python2.7/site-packages/qpid/__init__.py
/usr/lib/python2.7/site-packages/qpid/__init__.pyc
/usr/lib/python2.7/site-packages/qpid/__init__.pyo
/usr/lib/python2.7/site-packages/qpid/client.py
/usr/lib/python2.7/site-packages/qpid/client.pyc
/usr/lib/python2.7/site-packages/qpid/client.pyo
/usr/lib/python2.7/site-packages/qpid/codec.py
/usr/lib/python2.7/site-packages/qpid/codec.pyc
/usr/lib/python2.7/site-packages/qpid/codec.pyo
/usr/lib/python2.7/site-packages/qpid/codec010.py
/usr/lib/python2.7/site-packages/qpid/codec010.pyc
/usr/lib/python2.7/site-packages/qpid/codec010.pyo
/usr/lib/python2.7/site-packages/qpid/compat.py
/usr/lib/python2.7/site-packages/qpid/compat.pyc
/usr/lib/python2.7/site-packages/qpid/compat.pyo
/usr/lib/python2.7/site-packages/qpid/concurrency.py
/usr/lib/python2.7/site-packages/qpid/concurrency.pyc
/usr/lib/python2.7/site-packages/qpid/concurrency.pyo
/usr/lib/python2.7/site-packages/qpid/connection.py
/usr/lib/python2.7/site-packages/qpid/connection.pyc
/usr/lib/python2.7/site-packages/qpid/connection.pyo
/usr/lib/python2.7/site-packages/qpid/connection08.py
/usr/lib/python2.7/site-packages/qpid/connection08.pyc
/usr/lib/python2.7/site-packages/qpid/connection08.pyo
/usr/lib/python2.7/site-packages/qpid/content.py
/usr/lib/python2.7/site-packages/qpid/content.pyc
/usr/lib/python2.7/site-packages/qpid/content.pyo
/usr/lib/python2.7/site-packages/qpid/datatypes.py
/usr/lib/python2.7/site-packages/qpid/datatypes.pyc
/usr/lib/python2.7/site-packages/qpid/datatypes.pyo
/usr/lib/python2.7/site-packages/qpid/debug.py
/usr/lib/python2.7/site-packages/qpid/debug.pyc
/usr/lib/python2.7/site-packages/qpid/debug.pyo
/usr/lib/python2.7/site-packages/qpid/delegate.py
/usr/lib/python2.7/site-packages/qpid/delegate.pyc
/usr/lib/python2.7/site-packages/qpid/delegate.pyo
/usr/lib/python2.7/site-packages/qpid/delegates.py
/usr/lib/python2.7/site-packages/qpid/delegates.pyc
/usr/lib/python2.7/site-packages/qpid/delegates.pyo
/usr/lib/python2.7/site-packages/qpid/disp.py
/usr/lib/python2.7/site-packages/qpid/disp.pyc
/usr/lib/python2.7/site-packages/qpid/disp.pyo
/usr/lib/python2.7/site-packages/qpid/exceptions.py
/usr/lib/python2.7/site-packages/qpid/exceptions.pyc
/usr/lib/python2.7/site-packages/qpid/exceptions.pyo
/usr/lib/python2.7/site-packages/qpid/framer.py
/usr/lib/python2.7/site-packages/qpid/framer.pyc
/usr/lib/python2.7/site-packages/qpid/framer.pyo
/usr/lib/python2.7/site-packages/qpid/framing.py
/usr/lib/python2.7/site-packages/qpid/framing.pyc
/usr/lib/python2.7/site-packages/qpid/framing.pyo
/usr/lib/python2.7/site-packages/qpid/generator.py
/usr/lib/python2.7/site-packages/qpid/generator.pyc
/usr/lib/python2.7/site-packages/qpid/generator.pyo
/usr/lib/python2.7/site-packages/qpid/harness.py
/usr/lib/python2.7/site-packages/qpid/harness.pyc
/usr/lib/python2.7/site-packages/qpid/harness.pyo
/usr/lib/python2.7/site-packages/qpid/lexer.py
/usr/lib/python2.7/site-packages/qpid/lexer.pyc
/usr/lib/python2.7/site-packages/qpid/lexer.pyo
/usr/lib/python2.7/site-packages/qpid/log.py
/usr/lib/python2.7/site-packages/qpid/log.pyc
/usr/lib/python2.7/site-packages/qpid/log.pyo
/usr/lib/python2.7/site-packages/qpid/management.py
/usr/lib/python2.7/site-packages/qpid/management.pyc
/usr/lib/python2.7/site-packages/qpid/management.pyo
/usr/lib/python2.7/site-packages/qpid/managementdata.py
/usr/lib/python2.7/site-packages/qpid/managementdata.pyc
/usr/lib/python2.7/site-packages/qpid/managementdata.pyo
/usr/lib/python2.7/site-packages/qpid/message.py
/usr/lib/python2.7/site-packages/qpid/message.pyc
/usr/lib/python2.7/site-packages/qpid/message.pyo
/usr/lib/python2.7/site-packages/qpid/messaging
/usr/lib/python2.7/site-packages/qpid/messaging/__init__.py
/usr/lib/python2.7/site-packages/qpid/messaging/__init__.pyc
/usr/lib/python2.7/site-packages/qpid/messaging/__init__.pyo
/usr/lib/python2.7/site-packages/qpid/messaging/address.py
/usr/lib/python2.7/site-packages/qpid/messaging/address.pyc
/usr/lib/python2.7/site-packages/qpid/messaging/address.pyo
/usr/lib/python2.7/site-packages/qpid/messaging/constants.py
/usr/lib/python2.7/site-packages/qpid/messaging/constants.pyc
/usr/lib/python2.7/site-packages/qpid/messaging/constants.pyo
/usr/lib/python2.7/site-packages/qpid/messaging/driver.py
/usr/lib/python2.7/site-packages/qpid/messaging/driver.pyc
/usr/lib/python2.7/site-packages/qpid/messaging/driver.pyo
/usr/lib/python2.7/site-packages/qpid/messaging/endpoints.py
/usr/lib/python2.7/site-packages/qpid/messaging/endpoints.pyc
/usr/lib/python2.7/site-packages/qpid/messaging/endpoints.pyo
/usr/lib/python2.7/site-packages/qpid/messaging/exceptions.py
/usr/lib/python2.7/site-packages/qpid/messaging/exceptions.pyc
/usr/lib/python2.7/site-packages/qpid/messaging/exceptions.pyo
/usr/lib/python2.7/site-packages/qpid/messaging/message.py
/usr/lib/python2.7/site-packages/qpid/messaging/message.pyc
/usr/lib/python2.7/site-packages/qpid/messaging/message.pyo
/usr/lib/python2.7/site-packages/qpid/messaging/transports.py
/usr/lib/python2.7/site-packages/qpid/messaging/transports.pyc
/usr/lib/python2.7/site-packages/qpid/messaging/transports.pyo
/usr/lib/python2.7/site-packages/qpid/messaging/util.py
/usr/lib/python2.7/site-packages/qpid/messaging/util.pyc
/usr/lib/python2.7/site-packages/qpid/messaging/util.pyo
/usr/lib/python2.7/site-packages/qpid/mimetype.py
/usr/lib/python2.7/site-packages/qpid/mimetype.pyc
/usr/lib/python2.7/site-packages/qpid/mimetype.pyo
/usr/lib/python2.7/site-packages/qpid/ops.py
/usr/lib/python2.7/site-packages/qpid/ops.pyc
/usr/lib/python2.7/site-packages/qpid/ops.pyo
/usr/lib/python2.7/site-packages/qpid/packer.py
/usr/lib/python2.7/site-packages/qpid/packer.pyc
/usr/lib/python2.7/site-packages/qpid/packer.pyo
/usr/lib/python2.7/site-packages/qpid/parser.py
/usr/lib/python2.7/site-packages/qpid/parser.pyc
/usr/lib/python2.7/site-packages/qpid/parser.pyo
/usr/lib/python2.7/site-packages/qpid/peer.py
/usr/lib/python2.7/site-packages/qpid/peer.pyc
/usr/lib/python2.7/site-packages/qpid/peer.pyo
/usr/lib/python2.7/site-packages/qpid/queue.py
/usr/lib/python2.7/site-packages/qpid/queue.pyc
/usr/lib/python2.7/site-packages/qpid/queue.pyo
/usr/lib/python2.7/site-packages/qpid/reference.py
/usr/lib/python2.7/site-packages/qpid/reference.pyc
/usr/lib/python2.7/site-packages/qpid/reference.pyo
/usr/lib/python2.7/site-packages/qpid/sasl.py
/usr/lib/python2.7/site-packages/qpid/sasl.pyc
/usr/lib/python2.7/site-packages/qpid/sasl.pyo
/usr/lib/python2.7/site-packages/qpid/saslmech
/usr/lib/python2.7/site-packages/qpid/saslmech/__init__.py
/usr/lib/python2.7/site-packages/qpid/saslmech/__init__.pyc
/usr/lib/python2.7/site-packages/qpid/saslmech/__init__.pyo
/usr/lib/python2.7/site-packages/qpid/saslmech/amqplain.py
/usr/lib/python2.7/site-packages/qpid/saslmech/amqplain.pyc
/usr/lib/python2.7/site-packages/qpid/saslmech/amqplain.pyo
/usr/lib/python2.7/site-packages/qpid/saslmech/anonymous.py
/usr/lib/python2.7/site-packages/qpid/saslmech/anonymous.pyc
/usr/lib/python2.7/site-packages/qpid/saslmech/anonymous.pyo
/usr/lib/python2.7/site-packages/qpid/saslmech/cram_md5.py
/usr/lib/python2.7/site-packages/qpid/saslmech/cram_md5.pyc
/usr/lib/python2.7/site-packages/qpid/saslmech/cram_md5.pyo
/usr/lib/python2.7/site-packages/qpid/saslmech/cram_md5_hex.py
/usr/lib/python2.7/site-packages/qpid/saslmech/cram_md5_hex.pyc
/usr/lib/python2.7/site-packages/qpid/saslmech/cram_md5_hex.pyo
/usr/lib/python2.7/site-packages/qpid/saslmech/external.py
/usr/lib/python2.7/site-packages/qpid/saslmech/external.pyc
/usr/lib/python2.7/site-packages/qpid/saslmech/external.pyo
/usr/lib/python2.7/site-packages/qpid/saslmech/finder.py
/usr/lib/python2.7/site-packages/qpid/saslmech/finder.pyc
/usr/lib/python2.7/site-packages/qpid/saslmech/finder.pyo
/usr/lib/python2.7/site-packages/qpid/saslmech/plain.py
/usr/lib/python2.7/site-packages/qpid/saslmech/plain.pyc
/usr/lib/python2.7/site-packages/qpid/saslmech/plain.pyo
/usr/lib/python2.7/site-packages/qpid/saslmech/sasl.py
/usr/lib/python2.7/site-packages/qpid/saslmech/sasl.pyc
/usr/lib/python2.7/site-packages/qpid/saslmech/sasl.pyo
/usr/lib/python2.7/site-packages/qpid/saslmech/scram.py
/usr/lib/python2.7/site-packages/qpid/saslmech/scram.pyc
/usr/lib/python2.7/site-packages/qpid/saslmech/scram.pyo
/usr/lib/python2.7/site-packages/qpid/saslmech/scram_sha_1.py
/usr/lib/python2.7/site-packages/qpid/saslmech/scram_sha_1.pyc
/usr/lib/python2.7/site-packages/qpid/saslmech/scram_sha_1.pyo
/usr/lib/python2.7/site-packages/qpid/saslmech/scram_sha_256.py
/usr/lib/python2.7/site-packages/qpid/saslmech/scram_sha_256.pyc
/usr/lib/python2.7/site-packages/qpid/saslmech/scram_sha_256.pyo
/usr/lib/python2.7/site-packages/qpid/selector.py
/usr/lib/python2.7/site-packages/qpid/selector.pyc
/usr/lib/python2.7/site-packages/qpid/selector.pyo
/usr/lib/python2.7/site-packages/qpid/session.py
/usr/lib/python2.7/site-packages/qpid/session.pyc
/usr/lib/python2.7/site-packages/qpid/session.pyo
/usr/lib/python2.7/site-packages/qpid/spec08.py
/usr/lib/python2.7/site-packages/qpid/spec08.pyc
/usr/lib/python2.7/site-packages/qpid/spec08.pyo
/usr/lib/python2.7/site-packages/qpid/specs
/usr/lib/python2.7/site-packages/qpid/specs/amqp-0-10-qpid-errata-stripped.pcl
/usr/lib/python2.7/site-packages/qpid/specs/amqp-0-10-qpid-errata-stripped.xml
/usr/lib/python2.7/site-packages/qpid/specs/amqp-0-10-stripped.xml
/usr/lib/python2.7/site-packages/qpid/specs/amqp-0-10.dtd
/usr/lib/python2.7/site-packages/qpid/specs/amqp-0-8-qpid-stripped.xml
/usr/lib/python2.7/site-packages/qpid/specs/amqp-0-9-1-stripped.xml
/usr/lib/python2.7/site-packages/qpid/specs/amqp-0-9-qpid-stripped.xml
/usr/lib/python2.7/site-packages/qpid/specs_config.py
/usr/lib/python2.7/site-packages/qpid/specs_config.pyc
/usr/lib/python2.7/site-packages/qpid/specs_config.pyo
/usr/lib/python2.7/site-packages/qpid/testlib.py
/usr/lib/python2.7/site-packages/qpid/testlib.pyc
/usr/lib/python2.7/site-packages/qpid/testlib.pyo
/usr/lib/python2.7/site-packages/qpid/tests
/usr/lib/python2.7/site-packages/qpid/tests/__init__.py
/usr/lib/python2.7/site-packages/qpid/tests/__init__.pyc
/usr/lib/python2.7/site-packages/qpid/tests/__init__.pyo
/usr/lib/python2.7/site-packages/qpid/tests/codec.py
/usr/lib/python2.7/site-packages/qpid/tests/codec.pyc
/usr/lib/python2.7/site-packages/qpid/tests/codec.pyo
/usr/lib/python2.7/site-packages/qpid/tests/codec010.py
/usr/lib/python2.7/site-packages/qpid/tests/codec010.pyc
/usr/lib/python2.7/site-packages/qpid/tests/codec010.pyo
/usr/lib/python2.7/site-packages/qpid/tests/connection.py
/usr/lib/python2.7/site-packages/qpid/tests/connection.pyc
/usr/lib/python2.7/site-packages/qpid/tests/connection.pyo
/usr/lib/python2.7/site-packages/qpid/tests/datatypes.py
/usr/lib/python2.7/site-packages/qpid/tests/datatypes.pyc
/usr/lib/python2.7/site-packages/qpid/tests/datatypes.pyo
/usr/lib/python2.7/site-packages/qpid/tests/framing.py
/usr/lib/python2.7/site-packages/qpid/tests/framing.pyc
/usr/lib/python2.7/site-packages/qpid/tests/framing.pyo
/usr/lib/python2.7/site-packages/qpid/tests/messaging
/usr/lib/python2.7/site-packages/qpid/tests/messaging/__init__.py
/usr/lib/python2.7/site-packages/qpid/tests/messaging/__init__.pyc
/usr/lib/python2.7/site-packages/qpid/tests/messaging/__init__.pyo
/usr/lib/python2.7/site-packages/qpid/tests/messaging/address.py
/usr/lib/python2.7/site-packages/qpid/tests/messaging/address.pyc
/usr/lib/python2.7/site-packages/qpid/tests/messaging/address.pyo
/usr/lib/python2.7/site-packages/qpid/tests/messaging/endpoints.py
/usr/lib/python2.7/site-packages/qpid/tests/messaging/endpoints.pyc
/usr/lib/python2.7/site-packages/qpid/tests/messaging/endpoints.pyo
/usr/lib/python2.7/site-packages/qpid/tests/messaging/implementation.py
/usr/lib/python2.7/site-packages/qpid/tests/messaging/implementation.pyc
/usr/lib/python2.7/site-packages/qpid/tests/messaging/implementation.pyo
/usr/lib/python2.7/site-packages/qpid/tests/messaging/message.py
/usr/lib/python2.7/site-packages/qpid/tests/messaging/message.pyc
/usr/lib/python2.7/site-packages/qpid/tests/messaging/message.pyo
/usr/lib/python2.7/site-packages/qpid/tests/mimetype.py
/usr/lib/python2.7/site-packages/qpid/tests/mimetype.pyc
/usr/lib/python2.7/site-packages/qpid/tests/mimetype.pyo
/usr/lib/python2.7/site-packages/qpid/tests/parser.py
/usr/lib/python2.7/site-packages/qpid/tests/parser.pyc
/usr/lib/python2.7/site-packages/qpid/tests/parser.pyo
/usr/lib/python2.7/site-packages/qpid/tests/queue.py
/usr/lib/python2.7/site-packages/qpid/tests/queue.pyc
/usr/lib/python2.7/site-packages/qpid/tests/queue.pyo
/usr/lib/python2.7/site-packages/qpid/tests/saslmech
/usr/lib/python2.7/site-packages/qpid/tests/saslmech/__init__.py
/usr/lib/python2.7/site-packages/qpid/tests/saslmech/__init__.pyc
/usr/lib/python2.7/site-packages/qpid/tests/saslmech/__init__.pyo
/usr/lib/python2.7/site-packages/qpid/tests/saslmech/finder.py
/usr/lib/python2.7/site-packages/qpid/tests/saslmech/finder.pyc
/usr/lib/python2.7/site-packages/qpid/tests/saslmech/finder.pyo
/usr/lib/python2.7/site-packages/qpid/tests/saslmech/my_sasl.py
/usr/lib/python2.7/site-packages/qpid/tests/saslmech/my_sasl.pyc
/usr/lib/python2.7/site-packages/qpid/tests/saslmech/my_sasl.pyo
/usr/lib/python2.7/site-packages/qpid/tests/saslmech/my_sasl2.py
/usr/lib/python2.7/site-packages/qpid/tests/saslmech/my_sasl2.pyc
/usr/lib/python2.7/site-packages/qpid/tests/saslmech/my_sasl2.pyo
/usr/lib/python2.7/site-packages/qpid/tests/spec010.py
/usr/lib/python2.7/site-packages/qpid/tests/spec010.pyc
/usr/lib/python2.7/site-packages/qpid/tests/spec010.pyo
/usr/lib/python2.7/site-packages/qpid/tests/util.py
/usr/lib/python2.7/site-packages/qpid/tests/util.pyc
/usr/lib/python2.7/site-packages/qpid/tests/util.pyo
/usr/lib/python2.7/site-packages/qpid/util.py
/usr/lib/python2.7/site-packages/qpid/util.pyc
/usr/lib/python2.7/site-packages/qpid/util.pyo
/usr/lib/python2.7/site-packages/qpid/validator.py
/usr/lib/python2.7/site-packages/qpid/validator.pyc
/usr/lib/python2.7/site-packages/qpid/validator.pyo
/usr/lib/python2.7/site-packages/qpid_python-0.32-py2.7.egg-info
/usr/share/doc/python-qpid
/usr/share/doc/python-qpid/LICENSE.txt
/usr/share/doc/python-qpid/NOTICE.txt
/usr/share/doc/python-qpid/README.txt


Installed new version and executed unit tests:

# /usr/bin/qpid-python-test
qpid.tests.codec.BitTestCase.test_bit1 ........................................................................... pass
qpid.tests.codec.BitTestCase.test_bit2 ........................................................................... pass
qpid.tests.codec.BitTestCase.test_bit3 ........................................................................... pass
qpid.tests.codec.BitTestCase.test_bit_decode_0 ................................................................... pass
qpid.tests.codec.BitTestCase.test_bit_decode_1 ................................................................... pass
qpid.tests.codec.BooleanTestCase.test_false_decode ............................................................... pass
qpid.tests.codec.BooleanTestCase.test_false_encode ............................................................... pass
qpid.tests.codec.BooleanTestCase.test_true_decode ................................................................ pass
qpid.tests.codec.BooleanTestCase.test_true_encode ................................................................ pass
qpid.tests.codec.ContentTestCase.test_content_inline ............................................................. pass
qpid.tests.codec.ContentTestCase.test_content_inline_decode ...................................................... pass
qpid.tests.codec.ContentTestCase.test_content_reference .......................................................... pass
qpid.tests.codec.ContentTestCase.test_content_reference_decode ................................................... pass
qpid.tests.codec.FieldTableTestCase.test_field_table_decode ...................................................... pass
qpid.tests.codec.FieldTableTestCase.test_field_table_multiple_name_value_pair .................................... pass
qpid.tests.codec.FieldTableTestCase.test_field_table_name_value_pair ............................................. pass
qpid.tests.codec.IntegerTestCase.test_octet_out_of_upper_range ................................................... pass
qpid.tests.codec.IntegerTestCase.test_ulong_int .................................................................. pass
qpid.tests.codec.IntegerTestCase.test_ulong_int_decode ........................................................... pass
qpid.tests.codec.IntegerTestCase.test_ulong_int_out_of_lower_range ............................................... pass
qpid.tests.codec.IntegerTestCase.test_ulong_int_out_of_upper_range ............................................... pass
qpid.tests.codec.IntegerTestCase.test_ulong_int_with_fraction .................................................... pass
qpid.tests.codec.IntegerTestCase.test_ulong_long_int ............................................................. pass
qpid.tests.codec.IntegerTestCase.test_ulong_long_int_decode ...................................................... pass
qpid.tests.codec.IntegerTestCase.test_ulong_long_int_out_of_lower_range .......................................... pass
qpid.tests.codec.IntegerTestCase.test_ulong_long_int_out_of_upper_range .......................................... pass
qpid.tests.codec.IntegerTestCase.test_ulong_long_int_with_fraction ............................................... pass
qpid.tests.codec.IntegerTestCase.test_unsigned_octet ............................................................. pass
qpid.tests.codec.IntegerTestCase.test_unsigned_octet_decode ...................................................... pass
qpid.tests.codec.IntegerTestCase.test_uoctet_out_of_lower_range .................................................. pass
qpid.tests.codec.IntegerTestCase.test_uoctet_with_fraction ....................................................... pass
qpid.tests.codec.IntegerTestCase.test_ushort_int ................................................................. pass
qpid.tests.codec.IntegerTestCase.test_ushort_int_decode .......................................................... pass
qpid.tests.codec.IntegerTestCase.test_ushort_int_out_of_lower_range .............................................. pass
qpid.tests.codec.IntegerTestCase.test_ushort_int_out_of_upper_range .............................................. pass
qpid.tests.codec.IntegerTestCase.test_ushort_int_with_fraction ................................................... pass
qpid.tests.codec.ResolveTestCase.test_resolve_64bit_signed_max ................................................... pass
qpid.tests.codec.ResolveTestCase.test_resolve_64bit_signed_min ................................................... pass
qpid.tests.codec.ResolveTestCase.test_resolve_None ............................................................... pass
qpid.tests.codec.ResolveTestCase.test_resolve_above_64bit_signed_max ............................................. pass
qpid.tests.codec.ResolveTestCase.test_resolve_below_64bit_signed_min ............................................. pass
qpid.tests.codec.ResolveTestCase.test_resolve_float .............................................................. pass
qpid.tests.codec.ResolveTestCase.test_resolve_int_1 .............................................................. pass
qpid.tests.codec.ResolveTestCase.test_resolve_int_above_signed_32bit_max ......................................... pass
qpid.tests.codec.ResolveTestCase.test_resolve_int_max ............................................................ pass
qpid.tests.codec.ResolveTestCase.test_resolve_int_min ............................................................ pass
qpid.tests.codec.ResolveTestCase.test_resolve_int_negative_1 ..................................................... pass
qpid.tests.codec.ResolveTestCase.test_resolve_long_1 ............................................................. pass
qpid.tests.codec.ResolveTestCase.test_resolve_long_above_signed_32bit_max ........................................ pass
qpid.tests.codec.ResolveTestCase.test_resolve_string ............................................................. pass
qpid.tests.codec.StringTestCase.test_long_string_decode .......................................................... pass
qpid.tests.codec.StringTestCase.test_long_string_positive_length ................................................. pass
qpid.tests.codec.StringTestCase.test_long_string_zero_length ..................................................... pass
qpid.tests.codec.StringTestCase.test_short_string_decode ......................................................... pass
qpid.tests.codec.StringTestCase.test_short_string_out_of_upper_range ............................................. pass
qpid.tests.codec.StringTestCase.test_short_string_positive_length ................................................ pass
qpid.tests.codec.StringTestCase.test_short_string_zero_length .................................................... pass
qpid.tests.codec.oldTests.test_oldtestcases ...................................................................... pass
qpid.tests.codec010.CodecTest.testArrayEmpty ..................................................................... pass
qpid.tests.codec010.CodecTest.testArrayInt ....................................................................... pass
qpid.tests.codec010.CodecTest.testArrayNone ...................................................................... pass
qpid.tests.codec010.CodecTest.testArrayString .................................................................... pass
qpid.tests.codec010.CodecTest.testDatetime ....................................................................... pass
qpid.tests.codec010.CodecTest.testInt16 .......................................................................... pass
qpid.tests.codec010.CodecTest.testInt64 .......................................................................... pass
qpid.tests.codec010.CodecTest.testList ........................................................................... pass
qpid.tests.codec010.CodecTest.testListEmpty ...................................................................... pass
qpid.tests.codec010.CodecTest.testListNone ....................................................................... pass
qpid.tests.codec010.CodecTest.testMapAll ......................................................................... pass
qpid.tests.codec010.CodecTest.testMapBinary ...................................................................... pass
qpid.tests.codec010.CodecTest.testMapBuffer ...................................................................... pass
qpid.tests.codec010.CodecTest.testMapDatetime .................................................................... pass
qpid.tests.codec010.CodecTest.testMapEmpty ....................................................................... pass
qpid.tests.codec010.CodecTest.testMapInt ......................................................................... pass
qpid.tests.codec010.CodecTest.testMapList ........................................................................ pass
qpid.tests.codec010.CodecTest.testMapLong ........................................................................ pass
qpid.tests.codec010.CodecTest.testMapNested ...................................................................... pass
qpid.tests.codec010.CodecTest.testMapNone ........................................................................ pass
qpid.tests.codec010.CodecTest.testMapString ...................................................................... pass
qpid.tests.codec010.CodecTest.testMapTimestamp ................................................................... pass
qpid.tests.codec010.CodecTest.testMapUUID ........................................................................ pass
qpid.tests.codec010.CodecTest.testMapUnicode ..................................................................... pass
qpid.tests.connection.ConnectionTest.test ........................................................................ pass
qpid.tests.connection.ConnectionTest.testCloseGet ................................................................ pass
qpid.tests.connection.ConnectionTest.testCloseListen ............................................................. pass
qpid.tests.connection.ConnectionTest.testHeartbeat ............................................................... pass
qpid.tests.connection.ConnectionTest.testSync .................................................................... pass
qpid.tests.datatypes.MessageTest.testClear ....................................................................... pass
qpid.tests.datatypes.MessageTest.testGet ......................................................................... pass
qpid.tests.datatypes.MessageTest.testHas ......................................................................... pass
qpid.tests.datatypes.MessageTest.testSet ......................................................................... pass
qpid.tests.datatypes.MessageTest.testSetOnEmpty .................................................................. pass
qpid.tests.datatypes.MessageTest.testSetReplace .................................................................. pass
qpid.tests.datatypes.RangeTest.testIntersect1 .................................................................... pass
qpid.tests.datatypes.RangeTest.testIntersect2 .................................................................... pass
qpid.tests.datatypes.RangeTest.testIntersect3 .................................................................... pass
qpid.tests.datatypes.RangedSetTest.test .......................................................................... pass
qpid.tests.datatypes.RangedSetTest.testAddSelf ................................................................... pass
qpid.tests.datatypes.RangedSetTest.testEmpty ..................................................................... pass
qpid.tests.datatypes.RangedSetTest.testMinMax .................................................................... pass
qpid.tests.datatypes.SerialTest.test ............................................................................. pass
qpid.tests.datatypes.SerialTest.testAdd .......................................................................... pass
qpid.tests.datatypes.SerialTest.testHash ......................................................................... pass
qpid.tests.datatypes.SerialTest.testIn ........................................................................... pass
qpid.tests.datatypes.SerialTest.testIncr ......................................................................... pass
qpid.tests.datatypes.SerialTest.testNone ......................................................................... pass
qpid.tests.datatypes.SerialTest.testSub .......................................................................... pass
qpid.tests.datatypes.TimestampTest.testAbs ....................................................................... pass
qpid.tests.datatypes.TimestampTest.testAdd ....................................................................... pass
qpid.tests.datatypes.TimestampTest.testConversion ................................................................ pass
qpid.tests.datatypes.TimestampTest.testNeg ....................................................................... pass
qpid.tests.datatypes.TimestampTest.testPos ....................................................................... pass
qpid.tests.datatypes.TimestampTest.testSub ....................................................................... pass
qpid.tests.datatypes.UUIDTest.test ............................................................................... pass
qpid.tests.framing.FrameTest.testEmpty ........................................................................... pass
qpid.tests.framing.FrameTest.testMaxChannel ...................................................................... pass
qpid.tests.framing.FrameTest.testMaxTrack ........................................................................ pass
qpid.tests.framing.FrameTest.testMaxType ......................................................................... pass
qpid.tests.framing.FrameTest.testSequence ........................................................................ pass
qpid.tests.framing.FrameTest.testSingle .......................................................................... pass
qpid.tests.framing.OpTest.testChannel ............................................................................ pass
qpid.tests.framing.OpTest.testCompound ........................................................................... pass
qpid.tests.framing.OpTest.testContentTypeHeadersPayloadMT ........................................................ pass
qpid.tests.framing.OpTest.testControl ............................................................................ pass
qpid.tests.framing.OpTest.testEmptyMTSync ........................................................................ pass
qpid.tests.framing.OpTest.testEmptyPayloadMT ..................................................................... pass
qpid.tests.framing.OpTest.testEmtpyMT ............................................................................ pass
qpid.tests.framing.OpTest.testHeadersEmptyPayloadMT .............................................................. pass
qpid.tests.framing.OpTest.testHeadersPayloadMT ................................................................... pass
qpid.tests.framing.OpTest.testListCompound ....................................................................... pass
qpid.tests.framing.OpTest.testMT ................................................................................. pass
qpid.tests.framing.OpTest.testMixed .............................................................................. pass
qpid.tests.framing.OpTest.testMulti .............................................................................. pass
qpid.tests.framing.OpTest.testMultiHeadersEmptyPayloadMT ......................................................... pass
qpid.tests.framing.OpTest.testMultiHeadersPayloadMT .............................................................. pass
qpid.tests.framing.OpTest.testPayloadMT .......................................................................... pass
qpid.tests.framing.OpTest.testSyncMT ............................................................................. pass
qpid.tests.framing.SegmentTest.testEmpty ......................................................................... pass
qpid.tests.framing.SegmentTest.testInterleaveChannel ............................................................. pass
qpid.tests.framing.SegmentTest.testInterleaveTrack ............................................................... pass
qpid.tests.framing.SegmentTest.testMaxChannel .................................................................... pass
qpid.tests.framing.SegmentTest.testMaxTrack ...................................................................... pass
qpid.tests.framing.SegmentTest.testMaxType ....................................................................... pass
qpid.tests.framing.SegmentTest.testSequence ...................................................................... pass
qpid.tests.framing.SegmentTest.testSingle ........................................................................ pass
qpid.tests.mimetype.MimeTypeTests.testCaseInsensitivity .......................................................... pass
qpid.tests.mimetype.MimeTypeTests.testMultipleParams ............................................................. pass
qpid.tests.mimetype.MimeTypeTests.testTypeOnly ................................................................... pass
qpid.tests.mimetype.MimeTypeTests.testTypeSubtype ................................................................ pass
qpid.tests.mimetype.MimeTypeTests.testTypeSubtypeParam ........................................................... pass
qpid.tests.mimetype.MimeTypeTests.testTypeSubtypeParamComment .................................................... pass
qpid.tests.queue.QueueTest.test_close ............................................................................ pass
qpid.tests.queue.QueueTest.test_listen ........................................................................... pass
qpid.tests.spec010.SpecTest.testMessageProperties ................................................................ pass
qpid.tests.spec010.SpecTest.testMessageSubscribe ................................................................. pass
qpid.tests.spec010.SpecTest.testSessionHeader .................................................................... pass
qpid.tests.spec010.SpecTest.testXid .............................................................................. pass
qpid.tests.util.UtilTest.test_get_client_properties_with_no_provided_values ...................................... pass
qpid.tests.util.UtilTest.test_get_client_properties_with_provided_value .......................................... pass
qpid.tests.util.UtilTest.test_get_client_properties_with_provided_value_that_overrides_default ................... pass
qpid.tests.util.UtilTest.test_get_spec_recommended_client_properties ............................................. pass
qpid.tests.messaging.address.AddressTests.testBadList1 ........................................................... pass
qpid.tests.messaging.address.AddressTests.testBadList2 ........................................................... pass
qpid.tests.messaging.address.AddressTests.testBadList3 ........................................................... pass
qpid.tests.messaging.address.AddressTests.testBadList4 ........................................................... pass
qpid.tests.messaging.address.AddressTests.testBadOptions1 ........................................................ pass
qpid.tests.messaging.address.AddressTests.testBadOptions2 ........................................................ pass
qpid.tests.messaging.address.AddressTests.testBadOptions3 ........................................................ pass
qpid.tests.messaging.address.AddressTests.testBadOptions4 ........................................................ pass
qpid.tests.messaging.address.AddressTests.testBadOptions5 ........................................................ pass
qpid.tests.messaging.address.AddressTests.testBadOptions6 ........................................................ pass
qpid.tests.messaging.address.AddressTests.testBadOptions7 ........................................................ pass
qpid.tests.messaging.address.AddressTests.testBoolean ............................................................ pass
qpid.tests.messaging.address.AddressTests.testColon .............................................................. pass
qpid.tests.messaging.address.AddressTests.testCommaSubject ....................................................... pass
qpid.tests.messaging.address.AddressTests.testCommaSubjectOptions ................................................ pass
qpid.tests.messaging.address.AddressTests.testDashAlone1 ......................................................... pass
qpid.tests.messaging.address.AddressTests.testDashAlone2 ......................................................... pass
qpid.tests.messaging.address.AddressTests.testDashInId1 .......................................................... pass
qpid.tests.messaging.address.AddressTests.testDashInId2 .......................................................... pass
qpid.tests.messaging.address.AddressTests.testEmpty .............................................................. pass
qpid.tests.messaging.address.AddressTests.testHash ............................................................... pass
qpid.tests.messaging.address.AddressTests.testIdNum .............................................................. pass
qpid.tests.messaging.address.AddressTests.testIdSpaceNum ......................................................... pass
qpid.tests.messaging.address.AddressTests.testLeadingDash ........................................................ pass
qpid.tests.messaging.address.AddressTests.testList1 .............................................................. pass
qpid.tests.messaging.address.AddressTests.testList2 .............................................................. pass
qpid.tests.messaging.address.AddressTests.testList3 .............................................................. pass
qpid.tests.messaging.address.AddressTests.testList4 .............................................................. pass
qpid.tests.messaging.address.AddressTests.testMap1 ............................................................... pass
qpid.tests.messaging.address.AddressTests.testMap2 ............................................................... pass
qpid.tests.messaging.address.AddressTests.testMap3 ............................................................... pass
qpid.tests.messaging.address.AddressTests.testNegativeNum ........................................................ pass
qpid.tests.messaging.address.AddressTests.testNoName ............................................................. pass
qpid.tests.messaging.address.AddressTests.testNoNameSlash ........................................................ pass
qpid.tests.messaging.address.AddressTests.testOptions ............................................................ pass
qpid.tests.messaging.address.AddressTests.testOptionsNone ........................................................ pass
qpid.tests.messaging.address.AddressTests.testOptionsTrailingComma ............................................... pass
qpid.tests.messaging.address.AddressTests.testSemiSubject ........................................................ pass
qpid.tests.messaging.address.AddressTests.testSlashHexEsc1 ....................................................... pass
qpid.tests.messaging.address.AddressTests.testSlashHexEsc2 ....................................................... pass
qpid.tests.messaging.address.AddressTests.testSlashHexEsc3 ....................................................... pass
qpid.tests.messaging.address.AddressTests.testSlashQuote ......................................................... pass
qpid.tests.messaging.address.AddressTests.testSlashUnicode1 ...................................................... pass
qpid.tests.messaging.address.AddressTests.testSlashUnicode2 ...................................................... pass
qpid.tests.messaging.address.AddressTests.testSlashUnicode3 ...................................................... pass
qpid.tests.messaging.address.AddressTests.testSlashUnicode4 ...................................................... pass
qpid.tests.messaging.address.AddressTests.testStar ............................................................... pass
qpid.tests.messaging.address.AddressTests.testTrailingDash ....................................................... pass
qpid.tests.messaging.address.AddressTests.testUnbalanced ......................................................... pass
qpid.tests.messaging.endpoints.AddressErrorTests.testInvalidMode ................................................. pass
qpid.tests.messaging.endpoints.AddressErrorTests.testNoSource .................................................... pass
qpid.tests.messaging.endpoints.AddressErrorTests.testNoTarget .................................................... pass
qpid.tests.messaging.endpoints.AddressErrorTests.testNoneSource .................................................. pass
qpid.tests.messaging.endpoints.AddressErrorTests.testNoneTarget .................................................. pass
qpid.tests.messaging.endpoints.AddressErrorTests.testUnlexableSource ............................................. pass
qpid.tests.messaging.endpoints.AddressErrorTests.testUnlexableTarget ............................................. pass
qpid.tests.messaging.endpoints.AddressErrorTests.testUnparseableSource ........................................... pass
qpid.tests.messaging.endpoints.AddressErrorTests.testUnparseableTarget ........................................... pass
qpid.tests.messaging.endpoints.AddressTests.testAssert1 .......................................................... pass
qpid.tests.messaging.endpoints.AddressTests.testAssert2 .......................................................... pass
qpid.tests.messaging.endpoints.AddressTests.testCreateExchange ................................................... pass
qpid.tests.messaging.endpoints.AddressTests.testCreateExchangeDirect ............................................. pass
qpid.tests.messaging.endpoints.AddressTests.testCreateExchangeTopic .............................................. pass
qpid.tests.messaging.endpoints.AddressTests.testCreateQueue ...................................................... pass
qpid.tests.messaging.endpoints.AddressTests.testDeleteByReceiver ................................................. pass
qpid.tests.messaging.endpoints.AddressTests.testDeleteBySender ................................................... pass
qpid.tests.messaging.endpoints.AddressTests.testDeleteSpecial .................................................... pass
qpid.tests.messaging.endpoints.AddressTests.testIllegalKey ....................................................... pass
qpid.tests.messaging.endpoints.AddressTests.testLinkBindings ..................................................... pass
qpid.tests.messaging.endpoints.AddressTests.testLinkName ......................................................... pass
qpid.tests.messaging.endpoints.AddressTests.testNodeBindingsQueue ................................................ pass
qpid.tests.messaging.endpoints.AddressTests.testNodeBindingsTopic ................................................ pass
qpid.tests.messaging.endpoints.AddressTests.testReliabilityAtLeastOnce ........................................... pass
qpid.tests.messaging.endpoints.AddressTests.testReliabilityUnreliable ............................................ pass
qpid.tests.messaging.endpoints.AddressTests.testSubjectDefault ................................................... pass
qpid.tests.messaging.endpoints.AddressTests.testSubjectOverride .................................................. pass
qpid.tests.messaging.endpoints.AddressTests.testWrongType1 ....................................................... pass
qpid.tests.messaging.endpoints.AddressTests.testWrongType2 ....................................................... pass
qpid.tests.messaging.endpoints.AddressTests.testWrongValue ....................................................... pass
qpid.tests.messaging.endpoints.ConnectionTests.testCheckClosed ................................................... pass
qpid.tests.messaging.endpoints.ConnectionTests.testClose ......................................................... pass
qpid.tests.messaging.endpoints.ConnectionTests.testDetach ........................................................ pass
qpid.tests.messaging.endpoints.ConnectionTests.testSessionAnon ................................................... pass
qpid.tests.messaging.endpoints.ConnectionTests.testSessionNamed .................................................. pass
qpid.tests.messaging.endpoints.ConnectionTests.testSimultaneousClose ............................................. pass
qpid.tests.messaging.endpoints.ReceiverTests.testAtMostOnce ...................................................... pass
qpid.tests.messaging.endpoints.ReceiverTests.testAvailable ....................................................... pass
qpid.tests.messaging.endpoints.ReceiverTests.testCapacity10 ...................................................... pass
qpid.tests.messaging.endpoints.ReceiverTests.testCapacity100 ..................................................... pass
qpid.tests.messaging.endpoints.ReceiverTests.testCapacity100Threshold1 ........................................... pass
qpid.tests.messaging.endpoints.ReceiverTests.testCapacity10Threshold1 ............................................ pass
qpid.tests.messaging.endpoints.ReceiverTests.testCapacity5 ....................................................... pass
qpid.tests.messaging.endpoints.ReceiverTests.testCapacity5Threshold1 ............................................. pass
qpid.tests.messaging.endpoints.ReceiverTests.testCapacityDecrease ................................................ pass
qpid.tests.messaging.endpoints.ReceiverTests.testCapacityIncrease ................................................ pass
qpid.tests.messaging.endpoints.ReceiverTests.testCapacityUNLIMITED ............................................... pass
qpid.tests.messaging.endpoints.ReceiverTests.testDoubleClose ..................................................... pass
qpid.tests.messaging.endpoints.ReceiverTests.testFetch ........................................................... pass
qpid.tests.messaging.endpoints.ReceiverTests.testFetchFromClosedConnection ....................................... pass
qpid.tests.messaging.endpoints.ReceiverTests.testFetchFromClosedReceiver ......................................... pass
qpid.tests.messaging.endpoints.ReceiverTests.testFetchFromClosedSession .......................................... pass
qpid.tests.messaging.endpoints.ReceiverTests.testFetchFromConcurrentCloseConnection .............................. pass
qpid.tests.messaging.endpoints.ReceiverTests.testFetchFromConcurrentCloseReceiver ................................ pass
qpid.tests.messaging.endpoints.ReceiverTests.testFetchFromConcurrentCloseSession ................................. pass
qpid.tests.messaging.endpoints.ReceiverTests.testMode ............................................................ pass
qpid.tests.messaging.endpoints.ReceiverTests.testUnreliable ...................................................... pass
qpid.tests.messaging.endpoints.ReceiverTests.testUnsettled ....................................................... pass
qpid.tests.messaging.endpoints.SenderTests.testCapacityTimeout ................................................... pass
qpid.tests.messaging.endpoints.SenderTests.testEINTR ............................................................. pass
qpid.tests.messaging.endpoints.SenderTests.testSendAsyncCapacity0 ................................................ pass
qpid.tests.messaging.endpoints.SenderTests.testSendAsyncCapacity1 ................................................ pass
qpid.tests.messaging.endpoints.SenderTests.testSendAsyncCapacity5 ................................................ pass
qpid.tests.messaging.endpoints.SenderTests.testSendAsyncCapacityUNLIMITED ........................................ pass
qpid.tests.messaging.endpoints.SenderTests.testSendList .......................................................... pass
qpid.tests.messaging.endpoints.SenderTests.testSendMap ........................................................... pass
qpid.tests.messaging.endpoints.SenderTests.testSendString ........................................................ pass
qpid.tests.messaging.endpoints.SessionTests.testAcknowledge ...................................................... pass
qpid.tests.messaging.endpoints.SessionTests.testAcknowledgeAsync ................................................. pass
qpid.tests.messaging.endpoints.SessionTests.testAcknowledgeAsyncAckCap0 .......................................... pass
qpid.tests.messaging.endpoints.SessionTests.testAcknowledgeAsyncAckCap1 .......................................... pass
qpid.tests.messaging.endpoints.SessionTests.testAcknowledgeAsyncAckCap5 .......................................... pass
qpid.tests.messaging.endpoints.SessionTests.testAcknowledgeAsyncAckCapUNLIMITED .................................. pass
qpid.tests.messaging.endpoints.SessionTests.testClose ............................................................ pass
qpid.tests.messaging.endpoints.SessionTests.testCommit ........................................................... pass
qpid.tests.messaging.endpoints.SessionTests.testCommitAck ........................................................ pass
qpid.tests.messaging.endpoints.SessionTests.testCommitSend ....................................................... pass
qpid.tests.messaging.endpoints.SessionTests.testDetachedReceiver ................................................. pass
qpid.tests.messaging.endpoints.SessionTests.testDoubleCommit ..................................................... pass
qpid.tests.messaging.endpoints.SessionTests.testNextReceiver ..................................................... pass
qpid.tests.messaging.endpoints.SessionTests.testReceiver ......................................................... pass
qpid.tests.messaging.endpoints.SessionTests.testReject ........................................................... pass
qpid.tests.messaging.endpoints.SessionTests.testRelease .......................................................... pass
qpid.tests.messaging.endpoints.SessionTests.testRollback ......................................................... pass
qpid.tests.messaging.endpoints.SessionTests.testRollbackAck ...................................................... pass
qpid.tests.messaging.endpoints.SessionTests.testRollbackSend ..................................................... pass
qpid.tests.messaging.endpoints.SessionTests.testRxCallback ....................................................... pass
qpid.tests.messaging.endpoints.SessionTests.testSender ........................................................... pass
qpid.tests.messaging.endpoints.SetupTests.testConnectError ....................................................... pass
qpid.tests.messaging.endpoints.SetupTests.testEstablish .......................................................... pass
qpid.tests.messaging.endpoints.SetupTests.testGetError ........................................................... pass
qpid.tests.messaging.endpoints.SetupTests.testOpen ............................................................... pass
qpid.tests.messaging.endpoints.SetupTests.testOpenCloseResourceLeaks ............................................. pass
qpid.tests.messaging.endpoints.SetupTests.testOpenFailResourceLeaks .............................................. pass
qpid.tests.messaging.endpoints.SetupTests.testOpenReconnectURLs .................................................. pass
qpid.tests.messaging.endpoints.SetupTests.testReconnect .......................................................... pass
qpid.tests.messaging.endpoints.SetupTests.testTcpNodelay ......................................................... pass
qpid.tests.messaging.endpoints.TimeoutTests.testConnectionClose .................................................. pass
qpid.tests.messaging.endpoints.TimeoutTests.testConnectionDetach ................................................. pass
qpid.tests.messaging.endpoints.TimeoutTests.testConnectionOpen ................................................... start
  2015-08-11 14:22:11,125 WARNING recoverable error[attempt 1]: [Errno -2] Name or service not known
  2015-08-11 14:22:11,125 WARNING sleeping 1 seconds
  2015-08-11 14:22:12,125 WARNING trying: badhostname:5672
  2015-08-11 14:22:12,135 WARNING recoverable error[attempt 2]: [Errno -2] Name or service not known
  2015-08-11 14:22:12,135 WARNING sleeping 2 seconds
qpid.tests.messaging.endpoints.TimeoutTests.testConnectionOpen ................................................... pass
qpid.tests.messaging.endpoints.TimeoutTests.testReceiverClose .................................................... start
  2015-08-11 14:22:14,136 WARNING trying: badhostname:5672
qpid.tests.messaging.endpoints.TimeoutTests.testReceiverClose .................................................... pass
qpid.tests.messaging.endpoints.TimeoutTests.testSenderClose ...................................................... pass
qpid.tests.messaging.endpoints.TimeoutTests.testSenderSync ....................................................... pass
qpid.tests.messaging.endpoints.TimeoutTests.testSessionClose ..................................................... pass
qpid.tests.messaging.endpoints.TimeoutTests.testSessionSync ...................................................... pass
qpid.tests.messaging.message.MessageEchoTests.testApplicationProperties .......................................... pass
qpid.tests.messaging.message.MessageEchoTests.testBooleanEncoding ................................................ pass
qpid.tests.messaging.message.MessageEchoTests.testContentTypeUnknown ............................................. pass
qpid.tests.messaging.message.MessageEchoTests.testExceptionRaisedMismatchedContentType ........................... pass
qpid.tests.messaging.message.MessageEchoTests.testListContent .................................................... pass
qpid.tests.messaging.message.MessageEchoTests.testMapContent ..................................................... pass
qpid.tests.messaging.message.MessageEchoTests.testProperties ..................................................... pass
qpid.tests.messaging.message.MessageEchoTests.testRecoverAfterException .......................................... pass
qpid.tests.messaging.message.MessageEchoTests.testReplyTo ........................................................ pass
qpid.tests.messaging.message.MessageEchoTests.testReplyToQueue ................................................... pass
qpid.tests.messaging.message.MessageEchoTests.testReplyToQueueSubject ............................................ pass
qpid.tests.messaging.message.MessageEchoTests.testReplyToTopic ................................................... pass
qpid.tests.messaging.message.MessageEchoTests.testReplyToTopicSubject ............................................ pass
qpid.tests.messaging.message.MessageEchoTests.testStringContent .................................................. pass
qpid.tests.messaging.message.MessageEchoTests.testTextPlain ...................................................... pass
qpid.tests.messaging.message.MessageEchoTests.testTextPlainEmpty ................................................. pass
qpid.tests.messaging.message.MessageEchoTests.testUnicodeContent ................................................. pass
qpid.tests.messaging.message.MessageTests.testContentTypeOverride ................................................ pass
qpid.tests.messaging.message.MessageTests.testCreateList ......................................................... pass
qpid.tests.messaging.message.MessageTests.testCreateMap .......................................................... pass
qpid.tests.messaging.message.MessageTests.testCreateString ....................................................... pass
qpid.tests.messaging.message.MessageTests.testCreateUnicode ...................................................... pass
qpid.tests.saslmech.finder.SaslFinderTests.test_known_mechansim .................................................. pass
qpid.tests.saslmech.finder.SaslFinderTests.test_sasl_mechanism_fallback_without_credentials ...................... pass
qpid.tests.saslmech.finder.SaslFinderTests.test_sasl_mechanism_with_higher_priority_prefered ..................... pass
qpid.tests.saslmech.finder.SaslFinderTests.test_sasl_mechansim_options ........................................... pass
qpid.tests.saslmech.finder.SaslFinderTests.test_unknown_mechansim ................................................ pass
Totals: 342 tests, 342 passed, 0 skipped, 0 ignored, 0 failed
Comment 9 Irina Boverman 2015-08-11 14:27:33 EDT
Created attachment 1061649 [details]
Package spec file
Comment 10 Irina Boverman 2015-08-11 14:54:20 EDT
Created attachment 1061651 [details]
Package spec file
Comment 11 Irina Boverman 2015-08-11 14:58:14 EDT
Created attachment 1061654 [details]
source rpm
Comment 12 Irina Boverman 2015-08-11 15:24:13 EDT
Created attachment 1061657 [details]
Results of the fedora-review tool

$ fedora-review -n python-qpid
INFO: Processing local files: python-qpid
INFO: Getting .spec and .srpm Urls from : Local files in /home/iboverma/python-qpid
INFO:   --> SRPM url: file:///home/iboverma/python-qpid/python-qpid-0.32-9.fc24.src.rpm
INFO:   --> Spec url: file:///home/iboverma/python-qpid/python-qpid.spec
INFO: Using review directory: /home/iboverma/python-qpid/review-python-qpid
INFO: Downloading (Source0): http://www.apache.org/dyn/closer.cgi/qpid/0.32/qpid-python-0.32.tar.gz
INFO: Running checks and generating report
INFO: Results and/or logs in: /home/iboverma/python-qpid/review-python-qpid/results
INFO: Build completed
INFO: Installing built package(s)
INFO: Active plugins: Python, Generic, Shell-api
INFO: Starting new HTTPS connection (1): admin.fedoraproject.org
INFO:  ExclusiveArch dependency checking disabled, enable with EXARCH flag

Review template in: /home/iboverma/python-qpid/review-python-qpid/review.txt
fedora-review is automated tool, but *YOU* are responsible for manually
reviewing the results and finishing the review. Do not just copy-paste
the results without understanding them.
Comment 13 Alan Conway 2015-08-11 18:17:30 EDT
Created attachment 1061750 [details]
fedora-review files

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

Issues:
=======

Noted by aconway
----------------

- /usr/bin/qpid-python-test is not a user executable, don't package or package under libexec.

Summary of fedora-review failed manual checks
---------------------------------------------

MUST
[!]: Package has no %clean section with rm -rf %{buildroot} (or $RPM_BUILD_ROOT)
     Note: %clean present but not required
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python2.7/site-packages/qpid
     aconway: I think this directory should be owned by the python-qpid package?

SHOULD
[!]: Package does not include license text files separate from upstream.
     aconway: LICENSE.txt is not from upstream, but I don't see why this is an issue.
[!]: %check is present and all tests pass.
     aconway: there's no %check. Manual tests look OK.

fedora-review automatic issues
------------------------------

- Package contains BR: python2-devel or python3-devel
- Sources used to build the package match the upstream source, as provided
  in the spec URL.
  Note: Upstream MD5sum check error, diff is in /home/aconway/tmp/review/review-python-qpid/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL
- Package uses either %{buildroot} or $RPM_BUILD_ROOT
  Note: Using both %{buildroot} and $RPM_BUILD_ROOT
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE.txt is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://admin.fedoraproject.org/pkgdb/acls/name/python-qpid
  See:
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names


===== MUST items =====

Generic:
[!]: Package has no %clean section with rm -rf %{buildroot} (or $RPM_BUILD_ROOT)
     Note: %clean present but not required
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Apache (v2.0)". Detailed output of licensecheck
     in /home/aconway/tmp/review/review-python-qpid/licensecheck.txt
[X]: License file installed when any subpackage combination is installed.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python2.7/site-packages/qpid
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[X]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[X]: Package contains desktop file if it is a GUI application.
[X]: Development files must be in a -devel package
     (aconway: does not apply to python libraries)
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[X]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[X]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[X]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 3 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build
     process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[X]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[X]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     qpid-common
     OK: main package depends on subpackage, not vice-versa.

[X]: Package functions as described.
[X]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[X]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-qpid-0.32-2.fc22.noarch.rpm
          python-qpid-common-0.32-2.fc22.noarch.rpm
          python-qpid-0.32-2.fc22.src.rpm
python-qpid.noarch: W: no-manual-page-for-binary qpid-python-test
python-qpid-common.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
python-qpid.noarch: W: no-manual-page-for-binary qpid-python-test
python-qpid-common.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
python-qpid (rpmlib, GLIBC filtered):
    /usr/bin/env
    /usr/bin/python
    python(abi)
    python-qpid-common
    python-saslwrapper

python-qpid-common (rpmlib, GLIBC filtered):
    /usr/bin/env
    python(abi)



Provides
--------
python-qpid:
    python-qpid

python-qpid-common:
    python-qpid-common



Source checksums
----------------
http://www.apache.org/dyn/closer.cgi/qpid/0.32/qpid-python-0.32.tar.gz :
  CHECKSUM(SHA256) this package     : 646bb803907681f64dbe831cb1664d2ec8936c3759548f721b9a7c349f740d26
  CHECKSUM(SHA256) upstream package : b3b9a3cf9be1f55a4f6ad028c30736f7888cb82dbc13f68846554ebe7c0b30f6
diff -r also reports differences


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -n python-qpid
Buildroot used: fedora-22-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 14 Irina Boverman 2015-08-12 13:48:08 EDT
Created attachment 1062162 [details]
Package spec file
Comment 15 Irina Boverman 2015-08-12 13:48:56 EDT
Created attachment 1062163 [details]
source rpm
Comment 16 Irina Boverman 2015-08-12 14:16:44 EDT
Created attachment 1062166 [details]
Results of the fedora-review tool
Comment 17 Irina Boverman 2015-08-12 14:44:26 EDT
Updated spec file, source rpm and review.txt file.

Issues:
=======
- Package contains BR: python2-devel or python3-devel
- Sources used to build the package match the upstream source, as provided
  in the spec URL.
  Note: Upstream MD5sum check error, diff is in /home/iboverma/python-qpid
  /review-python-qpid/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL
- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://admin.fedoraproject.org/pkgdb/acls/name/python-qpid
  See:
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names

--

(1) I do not why thisis an issue:

- Package contains BR: python2-devel or python3-devel

(2) I believe upstream tarball matches SOURCE0 tarball:

(a) upstream md5sum:
http://www.apache.org/dist/qpid/0.32/qpid-python-0.32.tar.gz.md5

7d6d1d2938fcd9e5a19423123b800179  qpid-python-0.32.tar.gz

matches:

(b) fedora tarball:

$ md5sum srpm-unpacked/qpid-python-0.32.tar.gz

7d6d1d2938fcd9e5a19423123b800179  srpm-unpacked/qpid-python-0.32.tar.gz

The same is true for sha256sum:

fedora tarball:

$ sha256sum qpid-python-0.32.tar.gz
646bb803907681f64dbe831cb1664d2ec8936c3759548f721b9a7c349f740d26  qpid-python-0.32.tar.gz

upstream tarball:

$ sha256sum ~/Desktop/qpid-python-0.32.tar.gz
646bb803907681f64dbe831cb1664d2ec8936c3759548f721b9a7c349f740d26  /home/iboverma/Desktop/qpid-python-0.32.tar.gz

(3) yes, this package name already exists, BUT RETIRED, and should be unretired.


There is a license file, LICENSE.txt, and it comes from upstream tarball.
qpid-python-0.32:

$ ls
examples  LICENSE.txt  mllib  NOTICE.txt  PKG-INFO  qpid  qpid-python-test  README.txt  setup.py  todo.txt
Comment 18 Irina Boverman 2015-08-12 16:58:34 EDT
Created attachment 1062220 [details]
Package spec file
Comment 19 Irina Boverman 2015-08-12 16:59:10 EDT
Created attachment 1062221 [details]
source rpm
Comment 20 Irina Boverman 2015-08-12 17:00:07 EDT
Created attachment 1062222 [details]
Results of the fedora-review tool
Comment 21 Irina Boverman 2015-08-12 17:01:09 EDT
Updated spec file to resolve directory ownership issue.
Comment 22 Alan Conway 2015-08-24 10:12:29 EDT
PASS

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package contains BR: python2-devel or python3-devel
- Sources used to build the package match the upstream source, as provided
  in the spec URL.
  Note: Upstream MD5sum check error, diff is in /home/aconway/tmp/review
  /review-python-qpid/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL
- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://admin.fedoraproject.org/pkgdb/acls/name/python-qpid
  See:
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Apache (v2.0)". Detailed output of licensecheck
     in /home/aconway/tmp/review/review-python-qpid/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     qpid-common
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-qpid-0.32-9.fc24.noarch.rpm
          python-qpid-common-0.32-9.fc24.noarch.rpm
          python-qpid-0.32-9.fc24.src.rpm
python-qpid-common.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
python-qpid-common.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
python-qpid (rpmlib, GLIBC filtered):
    python(abi)
    python-qpid-common
    python-saslwrapper

python-qpid-common (rpmlib, GLIBC filtered):
    /usr/bin/env
    python(abi)



Provides
--------
python-qpid:
    python-qpid

python-qpid-common:
    python-qpid-common



Source checksums
----------------
http://www.apache.org/dyn/closer.cgi/qpid/0.32/qpid-python-0.32.tar.gz :
  CHECKSUM(SHA256) this package     : 646bb803907681f64dbe831cb1664d2ec8936c3759548f721b9a7c349f740d26
  CHECKSUM(SHA256) upstream package : 198e156ef6115a82b665a3918b83b797bc0a17385641af491423a679118eace7
diff -r also reports differences


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -n python-qpid
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 23 Alan Conway 2015-08-24 10:14:43 EDT
Created attachment 1066400 [details]
fedora-review files
Comment 24 Irina Boverman 2015-08-24 16:10:22 EDT
Package Change Request
======================
Package Name: 
New Branches: devel f23 epel7
Owners: irina
Comment 25 Gwyn Ciesla 2015-08-25 09:25:26 EDT
Now SCM request present.
Comment 26 Irina Boverman 2015-08-25 16:08:51 EDT
I am not sure if this package has been "unretired" or not, the master still has this, but the flag (fedora-cvs) has been removed...

$ ls
dead.package

$ git status
# On branch master

What is suppose to happen next?
Comment 27 Irina Boverman 2015-08-26 09:28:05 EDT
Raising fedora-cvs flag again...
Comment 28 Gwyn Ciesla 2015-08-26 11:39:11 EDT
Looks unretired now.
Comment 29 Irina Boverman 2015-08-26 14:33:18 EDT
$ git status
# On branch master
# Your branch is ahead of 'origin/master' by 1 commit.
#   (use "git push" to publish your local commits)
#
nothing to commit, working directory clean
--
$ git push origin HEAD
Counting objects: 5, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (4/4), done.
Writing objects: 100% (4/4), 3.08 KiB | 0 bytes/s, done.
Total 4 (delta 0), reused 1 (delta 0)
remote: FATAL: W refs/heads/master python-qpid irina DENIED by fallthru
remote: error: hook declined to update refs/heads/master
To ssh://irina@pkgs.fedoraproject.org/python-qpid
 ! [remote rejected] HEAD -> master (hook declined)
error: failed to push some refs to 'ssh://irina@pkgs.fedoraproject.org/python-qpid'
--

What is wrong?
Comment 30 Irina Boverman 2015-08-26 14:50:31 EDT
I updated the package db, and above is working now.
Comment 31 Irina Boverman 2015-09-03 09:59:59 EDT
BuildError: package python-qpid is blocked for tag f24
Why is this?

[iboverma@iboverma python-qpid]$ fedpkg build

Building python-qpid-0.32-9.fc24 for rawhide
Created task: 10941024
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=10941024
Watching tasks (this may be safely interrupted)...
10941024 build (rawhide, /python-qpid:d10fba32ce215ce0a6ef6b391e999e48366431d4): free
10941024 build (rawhide, /python-qpid:d10fba32ce215ce0a6ef6b391e999e48366431d4): free -> open (arm02-builder08.arm.fedoraproject.org)
  10941025 buildSRPMFromSCM (/python-qpid:d10fba32ce215ce0a6ef6b391e999e48366431d4): free
  10941025 buildSRPMFromSCM (/python-qpid:d10fba32ce215ce0a6ef6b391e999e48366431d4): free -> open (buildvm-11.phx2.fedoraproject.org)
  10941025 buildSRPMFromSCM (/python-qpid:d10fba32ce215ce0a6ef6b391e999e48366431d4): open (buildvm-11.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
10941024 build (rawhide, /python-qpid:d10fba32ce215ce0a6ef6b391e999e48366431d4): open (arm02-builder08.arm.fedoraproject.org) -> FAILED: BuildError: package python-qpid is blocked for tag f24
  0 free  0 open  1 done  1 failed

10941024 build (rawhide, /python-qpid:d10fba32ce215ce0a6ef6b391e999e48366431d4) failed
Comment 32 Gwyn Ciesla 2015-09-03 14:21:08 EDT
This is unretired.  You should be able to commit changes to the git repo.
Comment 33 Alan Pevec 2015-09-07 13:08:35 EDT
python-qpid is still not available in Fedora Rawhide repo, please rebuild it in fc24 target
Comment 34 Irina Boverman 2015-09-08 14:10:46 EDT
I am still getting this error:

Building python-qpid-0.32-9.fc24 for rawhide
Created task: 10941024
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=10941024
Watching tasks (this may be safely interrupted)...
10941024 build (rawhide, /python-qpid:d10fba32ce215ce0a6ef6b391e999e48366431d4): free
10941024 build (rawhide, /python-qpid:d10fba32ce215ce0a6ef6b391e999e48366431d4): free -> open (arm02-builder08.arm.fedoraproject.org)
  10941025 buildSRPMFromSCM (/python-qpid:d10fba32ce215ce0a6ef6b391e999e48366431d4): free
  10941025 buildSRPMFromSCM (/python-qpid:d10fba32ce215ce0a6ef6b391e999e48366431d4): free -> open (buildvm-11.phx2.fedoraproject.org)
  10941025 buildSRPMFromSCM (/python-qpid:d10fba32ce215ce0a6ef6b391e999e48366431d4): open (buildvm-11.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
10941024 build (rawhide, /python-qpid:d10fba32ce215ce0a6ef6b391e999e48366431d4): open (arm02-builder08.arm.fedoraproject.org) -> FAILED: BuildError: package python-qpid is blocked for tag f24
  0 free  0 open  1 done  1 failed

10941024 build (rawhide, /python-qpid:d10fba32ce215ce0a6ef6b391e999e48366431d4) failed
Comment 36 Vít Ondruch 2015-09-09 04:57:49 EDT
@Irina

Please don't make the comments private. There is nothing secrete in them and somebody could be prevented from seeing them.

Note You need to log in before you can comment on or make changes to this bug.